// default values for controls

#define TextColor			0.08, 0.08, 0.12
#define InvTextColor	0.35, 0.38, 0.36

#define FontS "tahomaB24"
#define FontM "tahomaB36"

#define FontHTML "courierNewB64"
#define FontHTMLBold "courierNewB64"
#define FontMAP "courierNewB64"
#define FontMAIN "SteelfishB64"
#define FontMAINCZ "SteelfishB64CE"
#define FontTITLE "SteelfishB128"
#define FontTITLEHalf "SteelfishB64"
#define FontBOOK "garamond64"
#define FontNOTES "AudreysHandI48"

#define ForceFontS "\fonts\tahomaB24"
#define ForceFontM "\fonts\tahomaB36"

#define ForceFontHTML "\fonts\courierNewB64"
#define ForceFontHTMLBold "\fonts\courierNewB64"
#define ForceFontMAP "\fonts\courierNewB64"
#define ForceFontMAIN "\fonts\SteelfishB64"
#define ForceFontMAINCZ "\fonts\SteelfishB64CE"
#define ForceFontTITLE "\fonts\SteelfishB128"
#define ForceFontTITLEHalf "\fonts\SteelfishB64"
#define ForceFontBOOK "\fonts\garamond64"
#define ForceFontNOTES "\fonts\AudreysHandI48"

// statics
class RscBackground
{
	type = CT_STATIC;
	idc = -1;
	style = ST_BACKGROUND;
	x = 0.15;
	y = 0.15;
	w = 0.7;
	h = 0.7; 
	text = "";
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {0, 0, 0, 0};
	font = FontS;
	sizeEx = 0;
};

class RscTitle
{
	type = CT_STATIC;
	idc = -1;
	style = ST_TITLE;
	x = 0.15;
	y = 0.164;
	w = 0.7;
	h = 0.06; 
	text = "";
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {TextColor, 1};
	font = FontM;
	sizeEx = 1.0714 * 0.03;
};

class RscFrame
{
	type = CT_STATIC;
	idc = -1;
	style = ST_FRAME;
	text = "";
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

class RscGroupBox
{
	type = CT_STATIC;
	idc = -1;
	style = ST_GROUP_BOX;
	text = "";
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {0, 0, 0, 0};
  font = FontS;
	sizeEx = 0.02;
};

class RscGroupBox2
{
	type = CT_STATIC;
	idc = -1;
	style = ST_GROUP_BOX2;
	text = "";
	colorBackground[] = {1, 1, 1, 0.6};
	colorText[] = {0, 0, 0, 0};
  font = FontS;
	sizeEx = 0.02;
};

class RscText
{
	type = CT_STATIC;
	idc = -1;
	style = ST_LEFT;
	h = 0.04; 
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

class RscPicture
{
	type = CT_STATIC;
	idc = -1;
	style = ST_PICTURE;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {1, 1, 1, 1};
	font = FontS;
	sizeEx = 0;
};

class RscTilePicture
{
	type = CT_STATIC;
	idc = -1;
	style = ST_TILE_PICTURE;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {1, 1, 1, 1};
	font = FontS;
	sizeEx = 0;
};

// html browser
class RscHTML
{
	type = CT_HTML;
	idc = -1;
	style = 0;
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {0, 0, 0, 1};
	colorBold[] = {0, 0, 0.2, 1};
	colorLink[] = {0.4, 0.4, 0.8, 1};
	colorLinkActive[] = {0.8, 0.35, 0.48, 1};

	tooltipColorText[] = {0, 0, 0, 1};
	tooltipColorBox[] = {0, 0, 0, 0.5};
	tooltipColorShade[] = {1, 1, 0.7, 1};

	// styles
	class H1
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.048;
	};
	class H2
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.7 * 0.048;
	};
	class H3
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.5 * 0.048;
	};
	class H4
	{
		font = FontHTML;
		fontBold = FontHTMLBold;
		sizeEx = 0.4 * 0.048;
	};
	class H5
	{
		font = FontBOOK;
		fontBold = FontBOOK;
		sizeEx = 0.6 * 0.048;
	};
	class H6
	{
		font = FontNOTES;
		fontBold = FontNOTES;
		sizeEx = 0.7 * 0.045;
	};
	class P
	{
		font = FontHTML;
		fontBold = FontHTML;
		sizeEx = 0.47 * 0.048;
	};
};

// buttons

class RscButton
{
	type = CT_BUTTON;
	style = ST_CENTER;
	w = 0.16;
	h = 0.06; 
	colorText[] = {TextColor, 1};
	font = FontS;
	sizeEx = 0.02;
	default = 0;

	soundPush[] = {"ui\ui_ok", 0.2, 1};
	soundClick[] = {, 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
};

class RscButtonMap : RscButton
{
	w = 0.12;
};

class RscButtonSmall : RscButton
{
	w = 0.12;
};

// edits

class RscEdit
{
	type = CT_EDIT;
	style = ST_LEFT;
	h = 0.04; 
	colorBackground[] = {0, 0, 0, 0};
	colorText[] = {TextColor, 0.75};
	colorSelection[] = {1, 1, 1, 0.25};
	font = FontS;
	sizeEx = 0.02;
	autocomplete = "";
};

// combo boxes

class RscCombo
{
	type = CT_COMBO;
	style = 0;
	h = 0.04;
	wholeHeight = 0.25;
	colorSelect[] = {InvTextColor, 1};
	colorText[] = {TextColor, 0.75};
	colorBackground[] = {InvTextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

// list boxes

class RscListBox
{
	type = CT_LISTBOX;
	style = 0;
	h = 0.25;
	colorSelect[] = {InvTextColor, 1};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
	rowHeight = 0;	// equal text height
};

// trees

class RscTree
{
	type = CT_TREE;
	style = 0;
	colorBackground[] = {InvTextColor, 1};
	colorSelect[] = {TextColor, 1};
	colorText[] = {TextColor, 0.75};
  font = FontS;
	sizeEx = 0.02;
};

// sliders

class RscSliderH
{
	type = CT_SLIDER;
	style = SL_HORZ;
	h = 0.028; 
	color[] = {TextColor, 0.75};
};

class RscSliderV
{
	type = CT_SLIDER;
	style = SL_VERT;
	w = 0.021;
	color[] = {TextColor, 0.75};
};

// active text

class RscActiveText
{
	type = CT_ACTIVETEXT;
	style = ST_LEFT;
	color[] = {0, 0, 0, 1};
	colorActive[] = {1, 1, 1, 1};
  font = FontMAIN;
	sizeEx = 0.05;
	soundEnter[] = {"ui\ui_over", 0.2, 1};
	soundPush[] = {, 0.2, 1};
	soundClick[] = {"ui\ui_ok", 0.2, 1};
	soundEscape[] = {"ui\ui_cc", 0.2, 1};
	default = false;
};

// template for message boxes
class RscMsgBox
{
	class Background : RscBackground
	{
		// x, y, w, h, text are ignored
	};
	class SubBackground : RscGroupBox2
	{
		// x, y, w, h, text are ignored
	};
	class Text : RscText
	{
		// x, y, w, h, text are ignored
		style = ST_MULTI;
		lineSpacing = 1;
	};
	class Button : RscButton
	{
		// x, y are ignored
		h = 0.05;
	};
	class ButtonOK : Button
	{
		idc = IDC_OK;
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = 1;
	};
	class ButtonCancel : Button
	{
		idc = IDC_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
		text = $STR_DISP_CANCEL;
		default = 1;
	};
};

// template for notebook and map

#define NotebookTextColor				0.0, 0.0, 0.0
#define NotebookOnColor					{NotebookTextColor, 0.8}
#define NotebookOffColor				{NotebookTextColor, 0.4}
#define NotebookDisabledColor		{NotebookTextColor, 0.2}

//#define FontSSize10							0.70 * 0.02
//#define FontSSize12							0.84 * 0.02
#define FontSSize10							0.02
#define FontSSize12							0.02

class RscNotebookText : RscText
{
	colorText[] = NotebookOnColor;
};
class RscNotebookText12 : RscNotebookText
{
	font = FontS;
	sizeEx = FontSSize12;
};
class RscNotebookText10 : RscNotebookText
{
	font = FontS;
	sizeEx = FontSSize10;
};

class RscMapControl
{
	type = CT_STATIC;
	idc = IDC_MAP;
	style = ST_PICTURE;
	colorBackground[] = {1, 1, 1, 1};
	colorText[] = {0, 0, 0, 1};
	font = FontMAP;
	sizeEx = 0.048;
	
	colorSea[] = {0.56, 0.8, 0.98, 0.5};
	colorForest[] = {0.6, 0.8, 0.2, 0.5};
	
	colorCountlines[] = {0.65, 0.45, 0.27, 0.5};
	colorCountlinesWater[] = {0, 0.53, 1, 0.5};
	colorForestBorder[] = {0.4, 0.8, 0, 1};

	colorNames[] = {0, 0, 0, 1};

	colorInactive[] = {1, 1, 1, 0.5};

	fontLabel = FontS;
	sizeExLabel = 0.02;
	fontGrid = FontM;
	sizeExGrid = 0.7 * 0.03;
	fontUnits = FontS;
	sizeExUnits = 0.02;
	fontNames = FontMAP;
	sizeExNames = 3.0 * 0.048;
	
	text = "podmapa.pac";

	class Tree
	{
		icon = "tree";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class SmallTree
	{
		icon = "small_tree";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Bush
	{
		icon = "bush";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Church
	{
		icon = "church";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Chapel
	{
		icon = "chapel";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Cross
	{
		icon = "cross";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Rock
	{
		icon = "rock";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Bunker
	{
		icon = "bunker";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fortress
	{
		icon = "fortress";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fountain
	{
		icon = "fountain";
		color[] = {0, 0, 1, 1};
		size = 16;
	};
	class ViewTower
	{
		icon = "view-tower";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Lighthouse
	{
		icon = "lighthouse";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Quay
	{
		icon = "quay";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Fuelstation
	{
		icon = "fuelstation";
		color[] = {0, 0, 0, 1};
		size = 16;
	};
	class Hospital
	{
		icon = "hospital";
		color[] = {1, 0, 0, 1};
		size = 16;
	};
	class BusStop
	{
		icon = "\o\misc\busstop.paa";
		color[] = {0, 0, 1, 1};
		size = 8;
	};

	class Waypoint
	{
		icon = "waypoint";
		color[] = {0, 0, 0, 1};
		size = 24;
	};
	class WaypointCompleted
	{
		icon = "waypoint_2";
		color[] = {0, 0, 0, 1};
		size = 24;
	};
};

// toolbox
class RscToolbox
{
	type = CT_TOOLBOX;
	style = ST_CENTER;
	colorText[] = NotebookOffColor;
	color[] = NotebookOffColor;
	colorTextSelect[] = NotebookOnColor;
	colorSelect[] = NotebookOnColor;
	colorTextDisable[] = NotebookDisabledColor;
	colorDisable[] = NotebookDisabledColor;
	font = FontS;
	sizeEx = FontSSize12;
};

#define BackgroundNotebook BackgroundA,\
		BackgroundB,\
		BackgroundC,\
		BackgroundD,\
		BackgroundE,\
		BackgroundF,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date

class RscNotebook
{
	movingEnable = false;

	class BackgroundA : RscPicture
	{
		text = "notasA.pac";
		x = 0; y = 0; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundB : RscPicture
	{
		text = "notasB.pac";
		x = 0.4; y = 0; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundC : RscPicture
	{
		text = "notasC.pac";
		x = 0; y = 0.5; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundD : RscPicture
	{
		text = "notasD.pac";
		x = 0.4; y = 0.5; w = 0.4; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundE : RscPicture
	{
		text = "notasE.pac";
		x = 0.8; y = 0; w = 0.2; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundF : RscPicture
	{
		text = "notasF.pac";
		x = 0.8; y = 0.5; w = 0.2; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BackgroundF2 : RscPicture
	{
		text = "notasF2.pac";
		x = 0.8; y = 0.5; w = 0.2; h = 0.5;
		colorText[] = {1, 1, 1, 1};
	};
	class BigFrame : RscFrame
	{
		x = 0.130;
		y = 0.137;
		w = 0.600;
		h = 0.750;
		colorText[] = NotebookOnColor;
	}
	class Weather : RscPicture
	{
		idc = IDC_WEATHER;
		text = "bourka.paa";
		x = 0.840;
		y = 0.110;
		w = 0.060;
		h = 0.080;
	};
	class Position : RscNotebookText12
	{
		idc = IDC_POSITION;
		style = ST_CENTER;
		text = "";
		x = 0.900;
		y = 0.110;
		w = 0.058;
		h = 0.080;
	};
	class TimeFrame : RscFrame
	{
		colorText[] = NotebookOnColor;
		x = 0.840;
		y = 0.190;
		w = 0.118;
		h = 0.028;
	};
	class Time : RscNotebookText12
	{
		idc = IDC_TIME;
		style = ST_CENTER;
		x = 0.840;
		y = 0.190;
		w = 0.118;
		h = 0.028;
		text = "";
	};
	class DateFrame : RscFrame
	{
		colorText[] = NotebookOnColor;
		x = 0.840;
		y = 0.228;
		w = 0.118;
		h = 0.028;
	};
	class Date : RscNotebookText10
	{
		idc = IDC_DATE;
		style = ST_CENTER;
		x = 0.840;
		y = 0.228;
		w = 0.118;
		h = 0.028;
		text = "";
	};
};

#define ControlsMap BackgroundNotebook,\
		Map

class RscMap : RscNotebook
{
	class Map : RscMapControl
	{
		moveOnEdges = false;
/*
		x = 0.130;
		y = 0.137;
		w = 0.600;
		h = 0.750;
*/
		x = 0.044;
		y = 0.10;
		w = 0.706;
		h = 0.858;
	};
};

#define ControlsMap2 BackgroundA,\
		BackgroundB,\
		BackgroundC,\
		BackgroundD,\
		BackgroundE,\
		BackgroundF2,\
		BigFrame,\
		Weather,\
		Position,\
		TimeFrame,\
		Time,\
		DateFrame,\
		Date, \
		Map

// template for standard display (new design)
class RscDisplay
{
};

// displays definition

class RscSkewBackground
{
	type = CT_STATIC_SKEW;
	idc = -1;
	x = 0; y = 0; w = 0; h = 0;	// will be recalculated
	
	style = ST_BACKGROUND;
	color[] = {1, 1, 1, 1};
};

class RscSkewGroupBox
{
	type = CT_STATIC_SKEW;
	idc = -1;
	x = 0; y = 0; w = 0; h = 0;	// will be recalculated

	style = ST_GROUP_BOX;
	color[] = {1, 1, 1, 1};
};

class RscDisplayGame
{
	idd = IDD_GAME;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,
		Group,
		Subtitle,
		Selector,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.23;
		y = 0.13;
		w = 0.54;
		h = 0.54;
	};
	class Title : RscTitle
	{
		x = 0.23;
		y = 0.144;
		w = 0.54;
		text = "Testing load";
	};
	class Group : RscGroupBox2
	{
		x = 0.27;
		y = 0.22;
		w = 0.45;
		h = 0.32;
	};
	class Subtitle : RscText
	{
		x = 0.3;
		y = 0.23;
		w = 0.3;
		text = $STR_DISP_GAME_SELECT;
		sizeEx = 0.016;
	};
	class Selector : RscListBox
	{
		idc = IDC_GAME_SELECT;
		x = 0.3;
		y = 0.28;
		w = 0.4;
	};
	class ButtonOK : RscButton
	{
		idc = IDC_OK;
		x = 0.3;
		y = 0.57;
		text = $STR_DISP_OK;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
		default = 1;
	};
	class ButtonCancel : RscButton
	{
		idc = IDC_CANCEL;
		x = 0.52;
		y = 0.57;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
		text = $STR_DISP_CANCEL;
	};
};

class RscDisplaySave
{
	idd = IDD_SAVE;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,
		Group,
		Subtitle,
		GameName,
		ButtonOK
	};
	class Background : RscBackground
	{
		x = 0.28;
		y = 0.2;
		w = 0.46;
		h = 0.35;
	};
	class Title : RscTitle
	{
		x = 0.28;
		y = 0.214;
		w = 0.46;
		text = "Testing save";
	};
	class Group : RscGroupBox2
	{
		x = 0.3;
		y = 0.32;
		w = 0.4;
		h = 0.11;
	};
	class Subtitle : RscText
	{
		x = 0.32;
		y = 0.35;
		w = 0.2;
		text = $STR_DISP_GAME_NAME;
	};
	class GameName : RscEdit
	{
		idc = IDC_SIDE_NAME;
		x = 0.40;
		y = 0.35;
		w = 0.25;
		text =  $STR_DISP_SAVE_NAME;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.4;
		y = 0.45;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
};

class RscDisplayInsertMarker
{
	idd = IDD_INSERT_MARKER;
	movingEnable = false;
	controls[] =
	{
		Picture,
		Text,
		ButtonOK
	};

	class Picture : RscPicture
	{
		idc = IDC_INSERT_MARKER_PICTURE;
		text = "";
		x = 0;
		y = 0;
		w = 0.05;
		h = 0.05 * 4 / 3;
		colorText[] = {0, 0, 0, 1};
	};
	class Text : RscEdit
	{
		idc = IDC_INSERT_MARKER;
		x = 0.04;
		y = 0;
		w = 0.15;
		h = 0.04; 
		text = ;
	};
	class ButtonOK : RscActiveText
	{
		idc = IDC_OK;
		x = 0;
		y = 0;
		w = 0;
		h = 0;
		text = "";
		default = 1;
	};
};

class RscDisplayCustomArcade
{
	idd = IDD_CUSTOM_ARCADE;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		Game,
		ButtonEdit,
		ButtonDelete,
		ButtonPlay,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.1;
		w = 0.6;
		h = 0.8;
	};
	class Title : RscTitle
	{
		x = 0.2;
		y = 0.118;
		w = 0.6;
		h = 0.06;
		text = $STR_DISP_MAIN_DESIGN;
	};
	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.2;
		w = 0.56;
		h = 0.60;
	};
	class Game : RscTree
	{
		idc = IDC_CUST_GAME;
		style = TR_AUTOCOLLAPSE;
		x = 0.24;
		y = 0.22;
		w = 0.52;
		h = 0.56;
	};
	class ButtonEdit : RscButtonSmall
	{
		idc = IDC_CUST_EDIT;
		x = 0.22;
		y = 0.82;
    w = 0.12;
		h = 0.05;
		text = $STR_DISP_ERROR;
	};
	class ButtonDelete : RscButtonSmall
	{
		idc = IDC_CUST_DELETE;
		x = 0.36;
		y = 0.82;
		w = 0.12;
		h = 0.05;
		text = $STR_DISP_DELETE;
	};
	class ButtonPlay : RscButtonSmall
	{
		idc = IDC_CUST_PLAY;
		x = 0.52;
		y = 0.82;
    w = 0.12;
		h = 0.05;
		text = $STR_DISP_CUST_PLAY;
		default = 1;
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.66;
		y = 0.82;
		w = 0.12;
		h = 0.05;
		text = $STR_DISP_CANCEL;
	};
};

// Dialogs (Mission editor style)

#define LINE_HEIGHT 0.05
#define BOX_HEIGHT(LINES) (LINE_HEIGHT * LINES + 0.01)

#define LINE_Y __EVAL(line_y)
#define LINE_W(VALUE) __EVAL(VALUE * line_w)
#define LINE_X(VALUE) __EVAL(line_x + VALUE * line_w)
#define NEXT_LINE __EXEC(line_y = line_y + LINE_HEIGHT)

#define DISPLAY(IDD,X,Y,W,H) \
	idd = IDD;\
	__EXEC(display_x = X);\
	__EXEC(display_y = Y);\
	__EXEC(display_w = W);\
	__EXEC(display_h = H);\
	__EXEC(line_x = X + 0.02);\
	__EXEC(line_w = W - 0.045);\
	__EXEC(line_y = Y + 0.1);\
	movingEnable = true;

#define BACKGROUND(NAME) \
	class NAME : RscBackground\
	{\
		x = __EVAL(display_x);\
		y = __EVAL(display_y);\
		w = __EVAL(display_w);\
		h = __EVAL(display_h);\
	};

#define TITLE(NAME,TEXT,IDC) \
	class NAME : RscTitle\
	{\
		idc = IDC;\
		x = __EVAL(display_x);\
		y = __EVAL(display_y + 0.018);\
		w = __EVAL(display_w);\
		h = 0.06;\
		text = TEXT;\
	};

#define BEGIN_BOX \
	__EXEC(box_y = line_y);\
	__EXEC(line_x = display_x + 0.03);\
	__EXEC(line_w = display_w - 0.07);\
	__EXEC(line_y = box_y + 0.01);

#define END_BOX(NAME) \
	class NAME : RscGroupBox2\
	{\
		x = __EVAL(display_x + 0.02);\
		y = __EVAL(box_y);\
		w = __EVAL(display_w - 0.045);\
		h = __EVAL(line_y - box_y);\
	};\
	__EXEC(line_y = line_y + 0.02);\
	__EXEC(line_x = X + 0.02);\
	__EXEC(line_w = W - 0.045);

#define BEGIN_FRAME \
	__EXEC(frame_y = line_y);\
	__EXEC(line_x = display_x + 0.04);\
	__EXEC(line_w = display_w - 0.08);\
	__EXEC(line_y = frame_y + 0.02);

#define END_FRAME(NAME,TEXT) \
	class NAME : RscFrame\
	{\
		x = __EVAL(display_x + 0.035);\
		y = __EVAL(frame_y);\
		w = __EVAL(display_w - 0.07);\
		h = __EVAL(line_y - frame_y);\
		text = TEXT;\
	};\
	__EXEC(line_y = line_y + 0.01);\
	__EXEC(line_x = display_x + 0.03);\
	__EXEC(line_w = display_w - 0.07);
	
#define	STATIC_TEXT(NAME,TEXT,IDC,XVAL,WVAL) \
	class NAME : RscText\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = TEXT;\
	};

#define	EDIT(NAME,IDC,XVAL,WVAL) \
	class NAME : RscEdit\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = $STR_DISP_ERROR;\
	};
#define	EDIT_SCRIPT(NAME,IDC,XVAL,WVAL) \
	class NAME : RscEdit\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
		text = $STR_DISP_ERROR;\
		autocomplete="scripting";\
	};

#define	COMBO(NAME,IDC,XVAL,WVAL) \
	class NAME : RscCombo\
	{\
		idc = IDC;\
		x = LINE_X(XVAL);\
		y = LINE_Y;\
		w = LINE_W(WVAL);\
	};

#define	BUTTON(NAME,TEXT,IDC,SOUND,VOLUME,XVAL,DEFAULT) \
	class NAME : RscButton\
	{\
		idc = IDC;\
		x = __EVAL(display_x + display_w - 0.153 - XVAL * 0.145);\
		y = __EVAL(display_y + display_h - 0.075);\
		w = 0.13;\
		h = 0.05;\
		text = TEXT;\
		default = DEFAULT;\
		soundClick[] = {SOUND, VOLUME, 1};\
	};

#define	LEFT_BUTTON(NAME,TEXT,IDC,SOUND,VOLUME,XVAL,DEFAULT) \
	class NAME : RscButton\
	{\
		idc = IDC;\
		x = __EVAL(display_x + 0.02 + XVAL * 0.15);\
		y = __EVAL(display_y + display_h - 0.075);\
		w = 0.13;\
		h = 0.05;\
		text = TEXT;\
		default = DEFAULT;\
		soundClick[] = {SOUND, VOLUME, 1};\
	};

#define BUTTON_OK(XVAL) BUTTON(ButtonOK,$STR_DISP_OK,IDC_OK,"ui\ui_ok",0.2,XVAL,0)
#define DEFAULT_BUTTON_OK(XVAL) BUTTON(ButtonOK,$STR_DISP_OK,IDC_OK,"ui\ui_ok",0.2,XVAL,1)
#define BUTTON_CANCEL(XVAL) BUTTON(ButtonCancel,$STR_DISP_CANCEL,IDC_CANCEL,"ui\ui_cc",0.2,XVAL,0)
#define DEFAULT_BUTTON_CANCEL(XVAL) BUTTON(ButtonCancel,$STR_DISP_CANCEL,IDC_CANCEL,"ui\ui_cc",0.2,XVAL,1)

class RscDisplayArcadeMap : RscMap
{
	idd = IDD_ARCADE_MAP;
	controls[]=
	{
		ControlsMap,
		ToolboxMode,
		Difficulty,
		ButtonIntel,
		ButtonLoad,
		ButtonMerge,
		ButtonSave,
		ButtonClear,
		Section,
		ButtonIds,
		ButtonTextures,
		ButtonPreview,
		ButtonContinue,
		ButtonCancel
	};
	class ToolboxMode : RscToolbox
	{
		idc = IDC_ARCMAP_MODE;
		x = 0.097;
		y = 0.014;
		w = 0.689;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCMAP_UNITS,
			$STR_DISP_ARCMAP_GROUPS,
			$STR_DISP_ARCMAP_SENSORS,
			$STR_DISP_ARCMAP_WAYPOINTS,
			$STR_DISP_ARCMAP_SYNCHRONIZE,
			$STR_DISP_ARCMAP_MARKERS};
		rows = 1;
		columns = 6;
	};
	class Difficulty : RscActiveText
	{
		idc = IDC_ARCMAP_DIFF;
		style = ST_CENTER;
		font = FontMAIN;
		sizeEx = 0.05;
		x = 0.810;
		y = 0.01;
		w = 0.15;
		h = 0.04; 
		text = $STR_DISP_ERROR;
		color[] = {0.8, 0.8, 0.8, 1};
		colorActive[] = {0.8, 0.8, 0, 1};
	};
	class ButtonIntel: RscActiveText
	{
		idc = IDC_ARCMAP_INTEL;
		x = 0.834;
		y = 0.114;
		w = 0.134;
		h = 0.153; 
		text = ;
		color[] = {TextColor, 1};
		colorActive[] = {TextColor, 1};
	};
	class ButtonLoad : RscButtonMap
	{
		idc = IDC_ARCMAP_LOAD;
		x = 0.834;
		y = 0.320;
    w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_LOAD;
	};
	class ButtonMerge : RscButtonMap
	{
		idc = IDC_ARCMAP_MERGE;
		x = 0.834;
		y = 0.380;
    w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_MERGE;
	};
	class ButtonSave : RscButtonMap
	{
		idc = IDC_ARCMAP_SAVE;
		x = 0.834;
		y = 0.440;
    w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_SAVE;
	};
	class ButtonClear : RscButtonMap
	{
		idc = IDC_ARCMAP_CLEAR;
		x = 0.834;
		y = 0.500;
    w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_CLEAR;
	};
	class Section : RscCombo
	{
		idc = IDC_ARCMAP_SECTION;
		x = 0.834;
		y = 0.560;
		w = 0.13;
		h = 0.03;
		wholeHeight = 0.12;
		colorText[] = {1, 1, 1, 0.75};
	}

	class ButtonIds : RscButtonMap
	{
		idc = IDC_ARCMAP_IDS;
		x = 0.834;
		y = 0.620;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ERROR;
	};
	class ButtonTextures : RscButtonMap
	{
		idc = IDC_ARCMAP_TEXTURES;
		x = 0.834;
		y = 0.680;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ERROR;
	};


	class ButtonPreview : RscButtonMap
	{
		idc = IDC_ARCMAP_PREVIEW;
		x = 0.834;
		y = 0.755;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_PREVIEW;
		default = 1;
	};
	class ButtonContinue : RscButtonMap
	{
		idc = IDC_ARCMAP_CONTINUE;
		x = 0.834;
		y = 0.815;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_CONTINUE;
	};
	class ButtonCancel : RscButtonMap
	{
		idc = IDC_CANCEL;
		x = 0.834;
		y = 0.875;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCMAP_EXIT;
	};
};

class RscDisplayArcadeUnit
{
	DISPLAY(IDD_ARCADE_UNIT, 0.2, 0.05, 0.56, 0.91)
	controls[]=
	{
		Background,
		Subbackground,
		Title,

		TextSide,
		ValueSide,

		TextRank,
		ValueRank,

		TextClass,
		ValueClass,

		TextVehicle,
		ValueVehicle,

		TextControl,
		ValueControl,
	
	  TextSpecial,
		ValueSpecial,

		TextAge,
		ValueAge,

		TextText,
		ValueText,

		TextLock,
		ValueLock,

		TextSkill,
		ValueSkill,

		TextInit,
		ValueInit,

    Subbackground1,

		TextAzimut,
		ValueAzimut,
		Azimut,

		SubtitleVisuals,
		ValueHealth,

		SubtitleVisuals1,
		ValueFuel,

		SubtitleVisuals2,
		ValueAmmo,

		TextPresence,
		ValuePresence,

		TextPresenceCondition,
		ValuePresenceCondition,

		TextPlacement,
		ValuePlacement,

		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCUNIT_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextSide, $STR_DISP_ARCUNIT_SIDE, -1, 0, 0.18)
		COMBO(ValueSide, IDC_ARCUNIT_SIDE, 0.18, 0.31)
		STATIC_TEXT(TextRank, $STR_DISP_ARCUNIT_RANK, -1, 0.51, 0.18)
		COMBO(ValueRank, IDC_ARCUNIT_RANK, 0.69, 0.31)
		NEXT_LINE
	
		STATIC_TEXT(TextClass, $STR_DISP_ARCUNIT_CLASS, -1, 0, 0.18)
		COMBO(ValueClass, IDC_ARCUNIT_CLASS, 0.18, 0.31)
		STATIC_TEXT(TextVehicle, $STR_DISP_ARCUNIT_VEHICLE, -1, 0.51, 0.18)
		COMBO(ValueVehicle, IDC_ARCUNIT_VEHICLE, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextControl, $STR_DISP_ARCUNIT_CTRL, -1, 0, 0.18)
		COMBO(ValueControl, IDC_ARCUNIT_CTRL, 0.18, 0.31)
		STATIC_TEXT(TextSpecial, $STR_DISP_ARCUNIT_SPECIAL, -1, 0.51, 0.18)
		COMBO(ValueSpecial, IDC_ARCUNIT_SPECIAL, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextAge, $STR_DISP_ARCUNIT_AGE, -1, 0, 0.18)
		COMBO(ValueAge, IDC_ARCUNIT_AGE, 0.18, 0.31)
		STATIC_TEXT(TextText, $STR_DISP_ARCUNIT_TEXT, -1, 0.51, 0.18)
		EDIT(ValueText, IDC_ARCUNIT_TEXT, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextLock, $STR_DISP_ARCUNIT_LOCK, -1, 0, 0.18)
		COMBO(ValueLock, IDC_ARCUNIT_LOCK, 0.18, 0.31)
		STATIC_TEXT(TextSkill, $STR_DISP_ARCUNIT_SKILL, -1, 0.51, 0.18)
		class ValueSkill : RscSliderH
		{
			idc = IDC_ARCUNIT_SKILL;
			x = LINE_X(0.69);
			y = LINE_Y + 0.01;
			w = LINE_W(0.31);
		};
		NEXT_LINE

		STATIC_TEXT(TextInit, $STR_DISP_ARCUNIT_INIT, -1, 0, 0.25)
		EDIT_SCRIPT(ValueInit, IDC_ARCUNIT_INIT, 0.25, 0.75)
		NEXT_LINE

	END_BOX(SubBackground)

	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCUNIT_AZIMUT_PICTURE;
			text = "azimut.paa";
			x = 0.5525;
			y = __EVAL(box_y - 0.007);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
			x = 0.595;
			y = __EVAL(box_y + 0.095);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCUNIT_AZIMUT;
			x = 0.665;
			y = __EVAL(box_y + 0.095);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		class SubtitleVisuals : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.005);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_HEALTH;
		};
		class ValueHealth : RscSliderH
		{
			idc = IDC_ARCUNIT_HEALTH;
			x = 0.2425;
			y = __EVAL(box_y + 0.04);
			w = 0.32;
		};
		class SubtitleVisuals1 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.075);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_FUEL;
		};
		class ValueFuel : RscSliderH
		{
			idc = IDC_ARCUNIT_FUEL;
			x = 0.2425;
			y = __EVAL(box_y + 0.11);
			w = 0.32;
		};
		class SubtitleVisuals2 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.145);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_AMMO;
		};
		class ValueAmmo : RscSliderH
		{
			idc = IDC_ARCUNIT_AMMO;
			x = 0.235;
			y = __EVAL(box_y + 0.18);
			w = 0.32;
		};

		__EXEC(line_y = line_y + 4.4 * LINE_HEIGHT)
		STATIC_TEXT(TextPresence, $STR_DISP_ARCUNIT_PRESENCE, -1, 0, 0.38)
		class ValuePresence : RscSliderH
		{
			idc = IDC_ARCUNIT_PRESENCE;
			x = LINE_X(0.38);
			y = LINE_Y + 0.01;
			w = LINE_W(0.62);
		};
		NEXT_LINE

		STATIC_TEXT(TextPresenceCondition, $STR_DISP_ARCUNIT_PRESENCE_COND, -1, 0, 0.38)
		EDIT_SCRIPT(ValuePresenceCondition, IDC_ARCUNIT_PRESENCE_COND, 0.38, 0.62)
		NEXT_LINE

		STATIC_TEXT(TextPlacement, $STR_DISP_ARCUNIT_PLACE, -1, 0, 0.38)
		EDIT(ValuePlacement, IDC_ARCUNIT_PLACE, 0.38, 0.62)
		NEXT_LINE

	END_BOX(SubBackground1)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeUnitSimple
{
	DISPLAY(IDD_ARCADE_UNIT, 0.2, 0.19, 0.56, 0.61)

	controls[]=
	{
		Background,
		Subbackground,
		Title,

		TextSide,
		ValueSide,

		TextClass,
		ValueClass,

		TextVehicle,
		ValueVehicle,

		TextSkill,
		ValueSkill,

		TextControl,
		ValueControl,
	
    Subbackground1,

		TextAzimut,
		ValueAzimut,
		Azimut,

		SubtitleVisuals,
		ValueHealth,

		SubtitleVisuals1,
		ValueFuel,

		SubtitleVisuals2,
		ValueAmmo,

		ButtonOK,
		ButtonCancel
	};
	
	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCUNIT_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextSide, $STR_DISP_ARCUNIT_SIDE, -1, 0, 0.18)
		COMBO(ValueSide, IDC_ARCUNIT_SIDE, 0.18, 0.31)
		STATIC_TEXT(TextSkill, $STR_DISP_ARCUNIT_SKILL, -1, 0.51, 0.18)
		class ValueSkill : RscSliderH
		{
			idc = IDC_ARCUNIT_SKILL;
			x = LINE_X(0.69);
			y = LINE_Y + 0.01;
			w = LINE_W(0.31);
		};
		NEXT_LINE

		STATIC_TEXT(TextClass, $STR_DISP_ARCUNIT_CLASS, -1, 0, 0.18)
		COMBO(ValueClass, IDC_ARCUNIT_CLASS, 0.18, 0.31)
		STATIC_TEXT(TextControl, $STR_DISP_ARCUNIT_CTRL, -1, 0.51, 0.18)
		COMBO(ValueControl, IDC_ARCUNIT_CTRL, 0.69, 0.31)
		NEXT_LINE

		STATIC_TEXT(TextVehicle, $STR_DISP_ARCUNIT_VEHICLE, -1, 0, 0.18)
		COMBO(ValueVehicle, IDC_ARCUNIT_VEHICLE, 0.18, 0.31)
		NEXT_LINE

	END_BOX(SubBackground)


	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCUNIT_AZIMUT_PICTURE;
			text = "azimut.paa";
			x = 0.5525;
			y = __EVAL(box_y - 0.007);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
			x = 0.595;
			y = __EVAL(box_y + 0.095);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCUNIT_AZIMUT;
			x = 0.665;
			y = __EVAL(box_y + 0.095);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		class SubtitleVisuals : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.005);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_HEALTH;
		};
		class ValueHealth : RscSliderH
		{
			idc = IDC_ARCUNIT_HEALTH;
			x = 0.2425;
			y = __EVAL(box_y + 0.04);
			w = 0.32;
		};
		class SubtitleVisuals1 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.075);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_FUEL;
		};
		class ValueFuel : RscSliderH
		{
			idc = IDC_ARCUNIT_FUEL;
			x = 0.2425;
			y = __EVAL(box_y + 0.11);
			w = 0.32;
		};
		class SubtitleVisuals2 : RscFrame
		{
			x = 0.235;
			y = __EVAL(box_y + 0.145);
			w = 0.335;
			h = 0.07;
			text = $STR_DISP_ARCUNIT_AMMO;
		};
		class ValueAmmo : RscSliderH
		{
			idc = IDC_ARCUNIT_AMMO;
			x = 0.235;
			y = __EVAL(box_y + 0.18);
			w = 0.32;
		};

		__EXEC(line_y = line_y + 4.4 * LINE_HEIGHT)

	END_BOX(SubBackground1)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeGroup
{
	DISPLAY(IDD_ARCADE_GROUP, 0.2, 0.30, 0.6, 0.41)

	controls[]=
	{
		Background,
		Title,

		Subbackground,

			TextSide,
			ValueSide,

			TextType,
			ValueType,

			TextName,
			ValueName,

			Azimut,
			TextAzimut,
			ValueAzimut,

		ButtonOK,
		ButtonCancel
	};
	
	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCGRP_TITLE, -1)

	BEGIN_BOX

		class Azimut : RscPicture
		{
			idc = IDC_ARCGRP_AZIMUT_PICTURE;
			text = "azimut.paa";
//			x = 0.5525;
			x = LINE_X(1) - 0.17;
			y = __EVAL(box_y - 0.018);
			w = 0.2;
			h = 0.26;
			colorText[] = {0.08, 0.08, 0.12, 1};
		};
		class TextAzimut : RscText
		{
//			x = 0.595;
			x = LINE_X(1) - 0.1275;
			y = __EVAL(box_y + 0.084);
			w = 0.15;
			text = $STR_DISP_ARCUNIT_AZIMUT;
		};
		class ValueAzimut : RscEdit
		{
			idc = IDC_ARCGRP_AZIMUT;
//			x = 0.665;
			x = LINE_X(1) - 0.0575;
			y = __EVAL(box_y + 0.084);
			w = 0.04;
			text = $STR_DISP_ERROR;
		};

		STATIC_TEXT(TextSide, $STR_DISP_ARCGRP_SIDE, -1, 0, 0.25)
		COMBO(ValueSide, IDC_ARCGRP_SIDE, 0.25, 0.45)
		NEXT_LINE

		STATIC_TEXT(TextType, $STR_DISP_ARCGRP_TYPE, -1, 0, 0.25)
		COMBO(ValueType, IDC_ARCGRP_TYPE, 0.25, 0.45)
		NEXT_LINE

		STATIC_TEXT(TextName, $STR_DISP_ARCGRP_NAME, -1, 0, 0.25)
		COMBO(ValueName, IDC_ARCGRP_NAME, 0.25, 0.45)
		NEXT_LINE

		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeMarker
{
	idd = IDD_ARCADE_MARKER;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextName,
		ValueName,
		Marker,
		TextColorName,
		ValueColorName,
		TextType,
		ValueIcon,
		ValueFill,
		TextA,
		ValueA,
		TextB,
		ValueB,
		TextAngle,
		ValueAngle,
		TextText,
		ValueText,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x=0.2;
		y=0.2;
		w=0.6;
		h=0.46;
	};
	class SubBackground : RscGroupBox2
	{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.26;
	};
	class Title : RscTitle
	{
		idc = IDC_ARCMARK_TITLE;		
		x = 0.2;
		y = 0.218;
		w = 0.6;
		h = 0.06;
		text = $STR_DISP_ERROR;
	};
	class TextName : RscText
	{
		x = 0.23;
		y = 0.32;
		w = 0.07;
		text = $STR_DISP_ARCMARK_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_ARCMARK_NAME;
		x = 0.30;
		y = 0.32;
		w = 0.19;
		text = $STR_DISP_ERROR;
	};
	class Marker : RscToolbox
	{
		idc = IDC_ARCMARK_MARKER;
		x = 0.51;
		y = 0.32;
		w = 0.26;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCMARK_ICON,
			$STR_DISP_ARCMARK_RECT,
			$STR_DISP_ARCMARK_ELLIPSE
		};
		rows = 1;
		columns = 3;
	};
	class TextColorName : RscText
	{
		x = 0.23;
		y = 0.38;
		w = 0.07;
		text = $STR_DISP_ARCMARK_COLOR;
	};
	class ValueColorName : RscCombo
	{
		idc = IDC_ARCMARK_COLOR;
		x = 0.30;
		y = 0.38;
		w = 0.19;
	};
	class TextType : RscText
	{
		idc = IDC_ARCMARK_TYPE_TEXT;
		x = 0.51;
		y = 0.38;
		w = 0.07;
		text = $STR_DISP_ERROR;
	};
	class ValueIcon : RscCombo
	{
		idc = IDC_ARCMARK_TYPE;
		x = 0.58;
		y = 0.38;
		w = 0.19;
	};
	class ValueFill : RscCombo
	{
		idc = IDC_ARCMARK_FILL;
		x = 0.58;
		y = 0.38;
		w = 0.19;
	};
	class TextA : RscText
	{
		x = 0.23;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_A;
	};
	class ValueA : RscEdit
	{
		idc = IDC_ARCMARK_A;
		x = 0.30;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextB : RscText
	{
		x = 0.40;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_B;
	};
	class ValueB : RscEdit
	{
		idc = IDC_ARCMARK_B;
		x = 0.47;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextAngle : RscText
	{
		x = 0.57;
		y = 0.44;
		w = 0.07;
		text = $STR_DISP_ARCMARK_ANGLE;
	};
	class ValueAngle : RscEdit
	{
		idc = IDC_ARCMARK_ANGLE;
		x = 0.64;
		y = 0.44;
		w = 0.09;
		text = $STR_DISP_ERROR;
	};
	class TextText : RscText
	{
		x = 0.23;
		y = 0.50;
		w = 0.07;
		text = $STR_DISP_ARCMARK_TEXT;
	};
	class ValueText : RscEdit
	{
		idc = IDC_ARCMARK_TEXT;
		x = 0.30;
		y = 0.50;
		w = 0.43;
		text = $STR_DISP_ERROR;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.50;
		y = 0.585
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.647;
		y = 0.585
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeMarkerSimple
{
	DISPLAY(IDD_ARCADE_MARKER, 0.2, 0.32, 0.6, 0.36)
	controls[]=
	{
		Background,
		SubBackground,
			Title,
			TextName,
			ValueName,
			// Marker,
			TextColorName,
			ValueColorName,
			
			TextType,
			ValueIcon,
			// ValueFill,

			// TextA,
			// ValueA,
			// TextB,
			// ValueB,
			// TextAngle,
			// ValueAngle,
			TextText,
			ValueText,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ERROR, IDC_ARCMARK_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextName, $STR_DISP_ARCMARK_NAME, -1, 0, 0.18)
		EDIT(ValueName, IDC_ARCMARK_NAME, 0.18, 0.82)
/*
		class Marker : RscToolbox
		{
			idc = IDC_ARCMARK_MARKER;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCMARK_ICON,
				$STR_DISP_ARCMARK_RECT,
				$STR_DISP_ARCMARK_ELLIPSE
			};
			rows = 1;
			columns = 3;
		};
*/
		NEXT_LINE

		STATIC_TEXT(TextColorName, $STR_DISP_ARCMARK_COLOR, -1, 0, 0.18)
		COMBO(ValueColorName, IDC_ARCMARK_COLOR, 0.18, 0.31)
		STATIC_TEXT(TextType, $STR_DISP_ERROR, IDC_ARCMARK_TYPE_TEXT, 0.51, 0.18)
		COMBO(ValueIcon, IDC_ARCMARK_TYPE, 0.69, 0.31)
//		COMBO(ValueFill, IDC_ARCMARK_FILL, 0.69, 0.31)
		NEXT_LINE

/*
		STATIC_TEXT(TextA, $STR_DISP_ARCMARK_A, -1, 0, 0.10)
		EDIT(ValueA, IDC_ARCMARK_A, 0.10, 0.22)
		STATIC_TEXT(TextB, $STR_DISP_ARCMARK_B, -1, 0.34, 0.10)
		EDIT(ValueB, IDC_ARCMARK_B, 0.44, 0.22)
		STATIC_TEXT(TextAngle, $STR_DISP_ARCMARK_ANGLE, -1, 0.68, 0.10)
		EDIT(ValueAngle, IDC_ARCMARK_ANGLE, 0.78, 0.22)
		NEXT_LINE
*/

		STATIC_TEXT(TextText, $STR_DISP_ARCMARK_TEXT, -1, 0, 0.18)
		EDIT(ValueText, IDC_ARCMARK_TEXT, 0.18, 0.82)
		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeSensor
{
	idd = IDD_ARCADE_SENSOR;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground1,
		TextA,
		ValueA,
		TextB,
		ValueB,
		TextAngle,
		ValueAngle,
		Rectangular,

		SubBackground2,
		TextActivation,
		ValueActivation,
		Presence,
		Repeating,
		Interruptable,
		TextTimeoutMin,
		ValueTimeoutMin,
		TextTimeoutMax,
		ValueTimeoutMax,
		TextTimeoutMid,
		ValueTimeoutMid,

		SubBackground3,
		TextType,
		ValueType,
		TextText,
		ValueText,
		TextName,
		ValueName,

		SubBackground4,
		TextExpCond,
		ValueExpCond,
		TextExpActiv,
		ValueExpActiv,
		TextExpDesactiv,
		ValueExpDesactiv,

		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.1;
		w = 0.56;
		h = 0.86; 
	};
	class Title : RscTitle
	{
		idc = IDC_ARCSENS_TITLE;
		x = 0.2;
		y = 0.118;
		w = 0.56;
		h = 0.06;
		text = $STR_DISP_ARCSENS_TITLE;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.2;
		w = 0.515;
		h = 0.11; 
	};
	class TextA : RscText
	{
		x = 0.23;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ARCSENS_A;
	};
	class ValueA : RscEdit
	{
		idc = IDC_ARCSENS_A;
		x = 0.32;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextB : RscText
	{
		x = 0.48;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ARCSENS_B;
	};
	class ValueB : RscEdit
	{
		idc = IDC_ARCSENS_B;
		x = 0.57;
		y = 0.21;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextAngle : RscText
	{
		x = 0.23;
		y = 0.26;
		w = 0.15;
		text = $STR_DISP_ARCSENS_ANGLE;
	};
	class ValueAngle : RscEdit
	{
		idc = IDC_ARCSENS_ANGLE;
		x = 0.32;
		y = 0.26;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class Rectangular : RscToolbox
	{
		idc = IDC_ARCSENS_RECT;
		x = 0.48;
		y = 0.26;
		w = 0.24;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_ELLIPSE,
			$STR_DISP_ARCSENS_RECT};
		rows = 1;
		columns = 2;
	};

	class SubBackground2 : RscGroupBox2
	{
		x = 0.22;
		y = 0.33;
		w = 0.515;
		h = 0.16; 
	};
	class TextActivation : RscText
	{
		x = 0.23;
		y = 0.34;
		w = 0.15;
		text = $STR_DISP_ARCSENS_ACTIV;
	};
	class ValueActivation : RscCombo
	{
		idc = IDC_ARCSENS_ACTIV;
		x = 0.32;
		y = 0.34;
		w = 0.15;
	};
	class Repeating : RscToolbox
	{
		idc = IDC_ARCSENS_REPEATING;
		x = 0.48;
		y = 0.34;
		w = 0.24;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_ONCE,
			$STR_DISP_ARCSENS_REPEAT};
		rows = 1;
		columns = 2;
	};
	class Presence : RscToolbox
	{
		idc = IDC_ARCSENS_PRESENCE;
		x = 0.23;
		y = 0.39;
		w = 0.50;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCSENS_PRESYES,
			$STR_DISP_ARCSENS_PRESNO,
			$STR_DISP_ARCSENS_DETWEST,
			$STR_DISP_ARCSENS_DETEAST,
			$STR_DISP_ARCSENS_DETGUERRILA,
			$STR_DISP_ARCSENS_DETCIVILIAN};
		rows = 2;
		columns = 3;
	};
	class Interruptable : RscToolbox
	{
		idc = IDC_ARCSENS_INTERRUPT;
		x = 0.23;
		y = 0.42;
		w = 0.15;
		h = 0.08;

		strings[] =
		{
			$STR_DISP_ARCSENS_COUNTDOWN,
			$STR_DISP_ARCSENS_TIMEOUT};
		rows = 2;
		columns = 1;
	};
	class TextTimeoutMin : RscText
	{
		x = 0.35;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MIN;
	};
	class ValueTimeoutMin : RscEdit
	{
		idc = IDC_ARCSENS_TIMEOUT_MIN;
		x = 0.40;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMax : RscText
	{
		x = 0.45;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MAX;
	};
	class ValueTimeoutMax : RscEdit
	{
		idc = IDC_ARCSENS_TIMEOUT_MAX;
		x = 0.50;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMid : RscText
	{
		x = 0.55;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ARCSENS_TIMEOUT_MID;
	};
	class ValueTimeoutMid : RscEdit
	{
		idc = IDC_ARCSENS_TIMEOUT_MID;
		x = 0.60;
		y = 0.44;
		w = 0.05;
		text = $STR_DISP_ERROR;
	};

	class SubBackground3 : RscGroupBox2
	{
		x = 0.22;
		y = 0.51;
		w = 0.515;
		h = 0.16; 
	};
	class TextType : RscText
	{
		x = 0.23;
		y = 0.52;
		w = 0.15;
		text = $STR_DISP_ARCSENS_TYPE;
	};
	class ValueType : RscCombo
	{
		idc = IDC_ARCSENS_TYPE;
		x = 0.32;
		y = 0.52;
		w = 0.15;
	};
	class TextText : RscText
	{
		x = 0.23;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ARCSENS_TEXT;
	};
	class ValueText : RscEdit
	{
		idc = IDC_ARCSENS_TEXT;
		x = 0.32;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};
	class TextName : RscText
	{
		x = 0.48;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ARCSENS_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_ARCSENS_NAME;
		x = 0.57;
		y = 0.57;
		w = 0.15;
		text = $STR_DISP_ERROR;
	};

	class SubBackground4 : RscGroupBox2
	{
		x = 0.22;
		y = 0.69;
		w = 0.515;
		h = 0.16; 
	};
	class TextExpCond : RscText
	{
		x = 0.23;
		y = 0.70;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPCOND;
	};
	class ValueExpCond : RscEdit
	{
		idc = IDC_ARCSENS_EXPCOND;
		x = 0.37;
		y = 0.70;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class TextExpActiv : RscText
	{
		x = 0.23;
		y = 0.75;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPACTIV;
	};
	class ValueExpActiv : RscEdit
	{
		idc = IDC_ARCSENS_EXPACTIV;
		x = 0.37;
		y = 0.75;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class TextExpDesactiv : RscText
	{
		x = 0.23;
		y = 0.80;
		w = 0.20;
		text = $STR_DISP_ARCSENS_EXPDESACTIV;
	};
	class ValueExpDesactiv : RscEdit
	{
		idc = IDC_ARCSENS_EXPDESACTIV;
		x = 0.37;
		y = 0.80;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};

	class ButtonEffects : RscButtonSmall
	{
		idc = IDC_ARCSENS_EFFECTS;
		x = 0.22;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_ARCSENS_EFFECTS;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.46;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.607;
		y = 0.885;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeSensorSimple
{
	DISPLAY(IDD_ARCADE_SENSOR, 0.2, 0.25, 0.56, 0.50)
	controls[]=
	{
		Background,
		Title,

		SubBackground1,
			TextA,
			ValueA,
			TextB,
			ValueB,
			// TextAngle,
			// ValueAngle,
			// Rectangular,

		SubBackground2,
			TextActivation,
			ValueActivation,
			Presence,
			// Repeating,
			// Interruptable,
			// TextTimeoutMin,
			// ValueTimeoutMin,
			// TextTimeoutMax,
			// ValueTimeoutMax,
			// TextTimeoutMid,
			// ValueTimeoutMid,

		SubBackground3,
			TextType,
			ValueType,
			TextText,
			ValueText,

		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCSENS_TITLE, IDC_ARCSENS_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextA, $STR_DISP_ARCSENS_A, -1, 0, 0.18)
		EDIT(ValueA, IDC_ARCSENS_A, 0.18, 0.31)
		STATIC_TEXT(TextB, $STR_DISP_ARCSENS_B, -1, 0.51, 0.18)
		EDIT(ValueB, IDC_ARCSENS_B, 0.69, 0.31)
		NEXT_LINE
/*
		STATIC_TEXT(TextAngle, $STR_DISP_ARCSENS_ANGLE, -1, 0, 0.18)
		EDIT(ValueAngle, IDC_ARCSENS_ANGLE, 0.18, 0.31)
		class Rectangular : RscToolbox
		{
			idc = IDC_ARCSENS_RECT;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCSENS_ELLIPSE,
				$STR_DISP_ARCSENS_RECT};
			rows = 1;
			columns = 2;
		};
		NEXT_LINE
*/
	
	END_BOX(SubBackground1)

	BEGIN_BOX

		STATIC_TEXT(TextActivation, $STR_DISP_ARCSENS_ACTIV, -1, 0, 0.18)
		COMBO(ValueActivation, IDC_ARCSENS_ACTIV, 0.18, 0.31)
/*
		class Repeating : RscToolbox
		{
			idc = IDC_ARCSENS_REPEATING;
			x = LINE_X(0.51);
			y = LINE_Y;
			w = LINE_W(0.49);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCSENS_ONCE,
				$STR_DISP_ARCSENS_REPEAT};
			rows = 1;
			columns = 2;
		};
*/
		NEXT_LINE

		class Presence : RscToolbox
		{
			idc = IDC_ARCSENS_PRESENCE;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(1);
			h = 0.076;

			strings[] =
			{
				$STR_DISP_ARCSENS_PRESYES,
				$STR_DISP_ARCSENS_PRESNO,
				$STR_DISP_ARCSENS_DETWEST,
				$STR_DISP_ARCSENS_DETEAST,
				$STR_DISP_ARCSENS_DETGUERRILA,
				$STR_DISP_ARCSENS_DETCIVILIAN};
			rows = 2;
			columns = 3;
		};
		__EXEC(line_y = line_y + 1.5 * LINE_HEIGHT)
/*
		class Interruptable : RscToolbox
		{
			idc = IDC_ARCSENS_INTERRUPT;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(0.25);
			h = 0.076;

			strings[] =
			{
				$STR_DISP_ARCSENS_COUNTDOWN,
				$STR_DISP_ARCSENS_TIMEOUT};
			rows = 2;
			columns = 1;
		};
		__EXEC(line_y = line_y + 0.25 * LINE_HEIGHT)

		STATIC_TEXT(TextTimeoutMin, $STR_DISP_ARCSENS_TIMEOUT_MIN, -1, 0.25, 0.125)
		EDIT(ValueTimeoutMin, IDC_ARCSENS_TIMEOUT_MIN, 0.375, 0.125)
		STATIC_TEXT(TextTimeoutMid, $STR_DISP_ARCSENS_TIMEOUT_MID, -1, 0.5, 0.125)
		EDIT(ValueTimeoutMid, IDC_ARCSENS_TIMEOUT_MID, 0.625, 0.125)
		STATIC_TEXT(TextTimeoutMax, $STR_DISP_ARCSENS_TIMEOUT_MAX, -1, 0.75, 0.125)
		EDIT(ValueTimeoutMax, IDC_ARCSENS_TIMEOUT_MAX, 0.875, 0.125)
		__EXEC(line_y = line_y + 1.25 * LINE_HEIGHT)
*/
	END_BOX(SubBackground2)

	BEGIN_BOX

		STATIC_TEXT(TextType, $STR_DISP_ARCSENS_TYPE, -1, 0, 0.18)
		COMBO(ValueType, IDC_ARCSENS_TYPE, 0.18, 0.31)
		STATIC_TEXT(TextText, $STR_DISP_ARCSENS_TEXT, -1, 0.51, 0.18)
		EDIT(ValueText, IDC_ARCSENS_TEXT, 0.69, 0.31)
		NEXT_LINE

	END_BOX(SubBackground3)

	LEFT_BUTTON(ButtonEffects,$STR_DISP_ARCSENS_EFFECTS,IDC_ARCSENS_EFFECTS,"",0.2,0,0)
	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeEffects
{
	DISPLAY(IDD_ARCADE_EFFECTS, 0.2, 0.2, 0.6, 0.72)
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		GroupActivation,
		Condition,
		GroupCamera,
		TextCamEffect,
		ValueCamEffect,
		TextCamEffectPos,
		ValueCamEffectPos,
		GroupSound,
		TextSound,
		ValueSound,
		TextVoice,
		ValueVoice,
		TextSoundEnv,
		ValueSoundEnv,
		TextSoundDet,
		ValueSoundDet,
		GroupMusic,
		TextMusic,
		ValueMusic,
		GroupTitles,
		TextTitleType,
		ValueTitleType,
		TextTitleEffect,
		ValueTitleEffect,
		TextTitle,
		ValueTitleText,
		ValueTitleRes,
		ValueTitleObj,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCEFF_TITLE, -1)

	class SubBackground : RscGroupBox2
	{
		x=0.22;
		y=0.3;
		w=0.56;
		h=0.52;
	};
	class GroupActivation : RscFrame
	{
		x = 0.235;
		y = 0.32;
		w = 0.53;
		h = 0.07
		text = $STR_DISP_ARCEFF_ACTIVATION;
	};
	class Condition : RscEdit
	{
		idc = IDC_ARCEFF_CONDITION;
		x = 0.240;
		y = 0.345;
		w = 0.52;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class GroupCamera : RscFrame
	{
		x = 0.235;
		y = 0.40;
		w = 0.53;
		h = 0.07
		text = $STR_DISP_ARCEFF_CAMERA;
	};
	class TextCamEffect : RscText
	{
		x = 0.24;
		y = 0.42;
		w = 0.09;
		text = $STR_DISP_ARCEFF_CAMTYPE;
	};
	class ValueCamEffect : RscCombo
	{
		idc = IDC_ARCEFF_CAMERA;
		x = 0.33;
		y = 0.42;
		w = 0.15;
	};
	class TextCamEffectPos : RscText
	{
		x = 0.50;
		y = 0.42;
		w = 0.09;
		text = $STR_DISP_ARCEFF_CAMPOS;
	};
	class ValueCamEffectPos : RscCombo
	{
		idc = IDC_ARCEFF_CAMPOS;
		x = 0.59;
		y = 0.42;
		w = 0.15;
	};
	class GroupSound : RscFrame
	{
		x = 0.235;
		y = 0.48;
		w = 0.53;
		h = 0.12;
		text = $STR_DISP_ARCEFF_SOUNDS;
	};
	class TextSound : RscText
	{
		x = 0.24;
		y = 0.50;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_ANON;
	};
	class ValueSound : RscCombo
	{
		idc = IDC_ARCEFF_SOUND;
		x = 0.33;
		y = 0.50;
		w = 0.15;
	};
	class TextVoice : RscText
	{
		x = 0.50;
		y = 0.50;
		w = 0.09;
		text = $STR_DISP_ARCEFF_VOICE;
	};
	class ValueVoice : RscCombo
	{
		idc = IDC_ARCEFF_VOICE;
		x = 0.59;
		y = 0.50;
		w = 0.15;
	};
	class TextSoundEnv : RscText
	{
		x = 0.24;
		y = 0.55;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_ENV;
	};
	class ValueSoundEnv : RscCombo
	{
		idc = IDC_ARCEFF_SOUND_ENV;
		x = 0.33;
		y = 0.55;
		w = 0.15;
	};
	class TextSoundDet : RscText
	{
		x = 0.50;
		y = 0.55;
		w = 0.09;
		text = $STR_DISP_ARCEFF_SOUND_DET;
	};
	class ValueSoundDet : RscCombo
	{
		idc = IDC_ARCEFF_SOUND_DET;
		x = 0.59;
		y = 0.55;
		w = 0.15;
	};
	class GroupMusic : RscFrame
	{
		x = 0.235;
		y = 0.61;
		w = 0.53;
		h = 0.07;
		text = $STR_DISP_ARCEFF_MUSIC;
	};
	class TextMusic : RscText
	{
		x = 0.24;
		y = 0.63;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TRACK;
	};
	class ValueMusic : RscCombo
	{
		idc = IDC_ARCEFF_MUSIC;
		x = 0.33;
		y = 0.63;
		w = 0.15;
	};
	class GroupTitles : RscFrame
	{
		x = 0.235;
		y = 0.69;
		w = 0.53;
		h = 0.12;
		text = $STR_DISP_ARCEFF_TITLES;
	};
	class TextTitleType : RscText
	{
		x = 0.24;
		y = 0.71;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITTYPE;
	};
	class ValueTitleType : RscCombo
	{
		idc = IDC_ARCEFF_TITTYPE;
		x = 0.33;
		y = 0.71;
		w = 0.15;
	};
	class TextTitleEffect : RscText
	{
		x = 0.50;
		y = 0.71;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITEFF;
	};
	class ValueTitleEffect : RscCombo
	{
		idc = IDC_ARCEFF_TITEFF;
		x = 0.59;
		y = 0.71;
		w = 0.15;
	};
	class TextTitle : RscText
	{
		idc = IDC_ARCEFF_TEXT_TITTEXT;
		x = 0.24;
		y = 0.76;
		w = 0.09;
		text = $STR_DISP_ARCEFF_TITTEXT;
	};
	class ValueTitleText : RscEdit
	{
		idc = IDC_ARCEFF_TITTEXT;
		x = 0.33;
		y = 0.76;
		w = 0.4;
		text = $STR_DISP_ERROR;
	};
	class ValueTitleRes : RscCombo
	{
		idc = IDC_ARCEFF_TITRES;
		x = 0.33;
		y = 0.76;
		w = 0.15;
	};
	class ValueTitleObj : RscCombo
	{
		idc = IDC_ARCEFF_TITOBJ;
		x = 0.33;
		y = 0.76;
		w = 0.15;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.50;
		y = 0.845
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.647;
		y = 0.845
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeEffectsSimple
{
	DISPLAY(IDD_ARCADE_EFFECTS, 0.2, 0.27, 0.6, 0.46)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			// GroupCamera,
				// TextCamEffect,
				// ValueCamEffect,
				// TextCamEffectPos,
				// ValueCamEffectPos,
			GroupSound,
				TextSound,
				ValueSound,

				// TextVoice,
				// ValueVoice,
				// TextSoundEnv,
				// ValueSoundEnv,
				TextSoundDet,
				ValueSoundDet,
			GroupMusic,
				TextMusic,
				ValueMusic,
			GroupTitles,
//				TextTitleType,
//				ValueTitleType,
//				TextTitleEffect,
//				ValueTitleEffect,
				TextTitle,
				ValueTitleText,
//				ValueTitleRes,
//				ValueTitleObj,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCEFF_TITLE, -1)
	
	BEGIN_BOX
/*		
		BEGIN_FRAME

			STATIC_TEXT(TextCamEffect, $STR_DISP_ARCEFF_CAMTYPE, -1, 0, 0.18)
			COMBO(ValueCamEffect, IDC_ARCEFF_CAMERA, 0.18, 0.31)
			STATIC_TEXT(TextCamEffectPos, $STR_DISP_ARCEFF_CAMPOS, -1, 0.51, 0.18)
			COMBO(ValueCamEffectPos, IDC_ARCEFF_CAMPOS, 0.69, 0.31)
			NEXT_LINE

		END_FRAME(GroupCamera, $STR_DISP_ARCEFF_CAMERA)
*/
		BEGIN_FRAME

			STATIC_TEXT(TextSound, $STR_DISP_ARCEFF_SOUND_ANON, -1, 0, 0.18)
			COMBO(ValueSound, IDC_ARCEFF_SOUND, 0.18, 0.31)
/*
			STATIC_TEXT(TextVoice, $STR_DISP_ARCEFF_VOICE, -1, 0.51, 0.18)
			COMBO(ValueVoice, IDC_ARCEFF_VOICE, 0.69, 0.31)
			NEXT_LINE

			STATIC_TEXT(TextSoundEnv, $STR_DISP_ARCEFF_SOUND_ENV, -1, 0, 0.18)
			COMBO(ValueSoundEnv, IDC_ARCEFF_SOUND_ENV, 0.18, 0.31)
*/
			STATIC_TEXT(TextSoundDet, $STR_DISP_ARCEFF_SOUND_DET, -1, 0.51, 0.18)
			COMBO(ValueSoundDet, IDC_ARCEFF_SOUND_DET, 0.69, 0.31)
			NEXT_LINE
			
		END_FRAME(GroupSound, $STR_DISP_ARCEFF_SOUNDS)

		BEGIN_FRAME

			STATIC_TEXT(TextMusic, $STR_DISP_ARCEFF_TRACK, -1, 0, 0.18)
			COMBO(ValueMusic, IDC_ARCEFF_MUSIC, 0.18, 0.31)
			NEXT_LINE

		END_FRAME(GroupMusic, $STR_DISP_ARCEFF_MUSIC)

		BEGIN_FRAME
/*
			STATIC_TEXT(TextTitleType, $STR_DISP_ARCEFF_TITTYPE, -1, 0, 0.18)
			COMBO(ValueTitleType, IDC_ARCEFF_TITTYPE, 0.18, 0.31)
			STATIC_TEXT(TextTitleEffect, $STR_DISP_ARCEFF_TITEFF, -1, 0.51, 0.18)
			COMBO(ValueTitleEffect, IDC_ARCEFF_TITEFF, 0.69, 0.31)
			NEXT_LINE
*/
			STATIC_TEXT(TextTitle, $STR_DISP_ARCEFF_TITTEXT, IDC_ARCEFF_TEXT_TITTEXT, 0, 0.18)
			EDIT(ValueTitleText, IDC_ARCEFF_TITTEXT, 0.18, 0.82)
/*
			COMBO(ValueTitleRes, IDC_ARCEFF_TITRES, 0.18, 0.31)
			COMBO(ValueTitleObj, IDC_ARCEFF_TITOBJ, 0.18, 0.31)
*/
			NEXT_LINE

		END_FRAME(GroupTitles, $STR_DISP_ARCEFF_TITLES)

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayArcadeWaypoint
{
	idd = IDD_ARCADE_WAYPOINT;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextType,
		ValueType,
		TextSequence,
		ValueSequence,
		TextDescription,
		ValueDescription,
		TextCombatMode,
		ValueCombatMode,
		TextFormation,
		ValueFormation,
		TextSpeed,
		ValueSpeed,
		TextCombat,
		ValueCombat,
		TextPlacement,
		ValuePlacement,
		TextHousePos,
		ValueHousePos,
		TextTimeout,
		TextTimeoutMin,
		ValueTimeoutMin,
		TextTimeoutMax,
		ValueTimeoutMax,
		TextTimeoutMid,
		ValueTimeoutMid,
		TextExpCond,
		ValueExpCond,
		TextExpActiv,
		ValueExpActiv,
		Show,
		TextExpScript,
		ValueExpScript,
		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x=0.2;
		y=0.1;
		w=0.6;
		h=0.8;
	};
	class SubBackground : RscGroupBox2
	{
		x=0.22;
		y=0.22;
		w=0.56;
		h=0.6;
	};
	class Title : RscTitle
	{
		idc = IDC_ARCWP_TITLE;
		x = 0.2;
		y = 0.114;
		w = 0.6;
		text = $STR_DISP_ERROR;
	};
	class TextType : RscText
	{
		x = 0.25;
		y = 0.23;
		w = 0.15;
		text = $STR_DISP_ARCWP_TYPE;
	};
	class ValueType : RscCombo
	{
		idc = IDC_ARCWP_TYPE;
		x = 0.40;
		y = 0.23;
		w = 0.35;
	};
	class TextSequence : RscText
	{
		x = 0.25;
		y = 0.28;
		w = 0.15;
		text = $STR_DISP_ARCWP_SEQ;
	};
	class ValueSequence : RscCombo
	{
		idc = IDC_ARCWP_SEQ;
		x = 0.40;
		y = 0.28;
		w = 0.35;
	};
	class TextDescription : RscText
	{
		x = 0.25;
		y = 0.33;
		w = 0.15;
		text = $STR_DISP_ARCWP_DESC;
	};
	class ValueDescription : RscEdit
	{
		idc = IDC_ARCWP_DESC;
		x = 0.40;
		y = 0.33;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};
	class TextCombatMode : RscText
	{
		x = 0.25;
		y = 0.38;
		w = 0.10;
		text = $STR_DISP_ARCWP_SEMAPHORE;
	};
	class ValueCombatMode : RscCombo
	{
		idc = IDC_ARCWP_SEMAPHORE;
		x = 0.35;
		y = 0.38;
		w = 0.15;
	};
	class TextFormation : RscText
	{
		x = 0.50;
		y = 0.38;
		w = 0.10;
		text = $STR_DISP_ARCWP_FORM;
	};
	class ValueFormation : RscCombo
	{
		idc = IDC_ARCWP_FORM;
		x = 0.60;
		y = 0.38;
		w = 0.15;
	};
	class TextSpeed : RscText
	{
		x = 0.25;
		y = 0.43;
		w = 0.10;
		text = $STR_DISP_ARCWP_SPEED;
	};
	class ValueSpeed : RscCombo
	{
		idc = IDC_ARCWP_SPEED;
		x = 0.35;
		y = 0.43;
		w = 0.15;
	};
	class TextCombat : RscText
	{
		x = 0.50;
		y = 0.43;
		w = 0.10;
		text = $STR_DISP_ARCWP_COMBAT;
	};
	class ValueCombat : RscCombo
	{
		idc = IDC_ARCWP_COMBAT;
		x = 0.60;
		y = 0.43;
		w = 0.15;
	};
	class TextPlacement : RscText
	{
		x = 0.25;
		y = 0.48;
		w = 0.15;
		text = $STR_DISP_ARCWP_PLACE;
	};
	class ValuePlacement : RscEdit
	{
		idc = IDC_ARCWP_PLACE;
		x = 0.40;
		y = 0.48;
		w = 0.10;
		text = $STR_DISP_ERROR;
	};
	class TextHousePos : RscText
	{
		idc = IDC_ARCWP_HOUSEPOSTEXT;
		x = 0.50;
		y = 0.48;
		w = 0.15;
		text = $STR_DISP_ARCWP_HOUSEPOS;
	};
	class ValueHousePos : RscCombo
	{
		idc = IDC_ARCWP_HOUSEPOS;
		x = 0.65;
		y = 0.48;
		w = 0.10;
	};
	class TextTimeout : RscText
	{
		x = 0.25;
		y = 0.53;
		w = 0.10;
		text = $STR_DISP_ARCWP_TIMEOUT;
	};
	class TextTimeoutMin : RscText
	{
		x = 0.32;
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MIN;
	};
	class ValueTimeoutMin : RscEdit
	{
		idc = IDC_ARCWP_TIMEOUT_MIN;
		x = 0.37;
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMax : RscText
	{
		x = 0.47;
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MAX;
	};
	class ValueTimeoutMax : RscEdit
	{
		idc = IDC_ARCWP_TIMEOUT_MAX;
		x = 0.52;
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextTimeoutMid : RscText
	{
		x = 0.62;
		y = 0.53;
		w = 0.05;
		text = $STR_DISP_ARCWP_TIMEOUT_MID;
	};
	class ValueTimeoutMid : RscEdit
	{
		idc = IDC_ARCWP_TIMEOUT_MID;
		x = 0.67;
		y = 0.53;
		w = 0.08;
		text = $STR_DISP_ERROR;
	};
	class TextExpCond : RscText
	{
		x = 0.25;
		y = 0.58;
		w = 0.15;
		text = $STR_DISP_ARCWP_EXPCOND;
	};
	class ValueExpCond : RscEdit
	{
		idc = IDC_ARCWP_EXPCOND;
		x = 0.40;
		y = 0.58;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};
	class TextExpActiv : RscText
	{
		x = 0.25;
		y = 0.63;
		w = 0.15;
		text = $STR_DISP_ARCWP_EXPACTIV;
	};
	class ValueExpActiv : RscEdit
	{
		idc = IDC_ARCWP_EXPACTIV;
		x = 0.40;
		y = 0.63;
		w = 0.35;
		text = $STR_DISP_ERROR;
		autocomplete = "scripting";
	};
	class Show : RscToolbox
	{
		idc = IDC_ARCWP_SHOW;
		x = 0.25;
		y = 0.68;
		w = 0.50;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_ARCWP_SHOW_NEVER,
			$STR_DISP_ARCWP_SHOW_EASY,
			$STR_DISP_ARCWP_SHOW_ALWAYS
		};
		rows = 1;
		columns = 3;
	};
	class TextExpScript : RscText
	{
		x = 0.25;
		y = 0.73;
		w = 0.15;
		text = $STR_DISP_ARCWP_SCRIPT;
	};
	class ValueExpScript : RscEdit
	{
		idc = IDC_ARCWP_SCRIPT;
		x = 0.40;
		y = 0.73;
		w = 0.35;
		text = $STR_DISP_ERROR;
	};

	class ButtonEffects : RscButtonSmall
	{
		idc = IDC_ARCWP_EFFECTS;
		x = 0.22;
		y = 0.81;
		text = $STR_DISP_ARCWP_EFFECTS;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.48;
		y = 0.81;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.63;
		y = 0.81;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayArcadeWaypointSimple
{
	DISPLAY(IDD_ARCADE_WAYPOINT, 0.2, 0.3, 0.6, 0.41)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			TextType,
			ValueType,

//			TextSequence,
//			ValueSequence,

			TextDescription,
			ValueDescription,
			TextCombatMode,
			ValueCombatMode,
			TextFormation,
			ValueFormation,
			// TextSpeed,
			// ValueSpeed,
			TextCombat,
			ValueCombat,
			// TextPlacement,
			// ValuePlacement,
			TextHousePos,
			// ValueHousePos,
			// TextTimeout,
			// TextTimeoutMin,
			// ValueTimeoutMin,
			// TextTimeoutMax,
			// ValueTimeoutMax,
			// TextTimeoutMid,
			// ValueTimeoutMid,
			// Show,
		ButtonEffects,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_ARCSENS_TITLE, IDC_ARCSENS_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextType, $STR_DISP_ARCWP_TYPE, -1, 0, 0.3)
		COMBO(ValueType, IDC_ARCWP_TYPE, 0.3, 0.7)
		NEXT_LINE
/*
		STATIC_TEXT(TextSequence, $STR_DISP_ARCWP_SEQ, -1, 0, 0.3)
		COMBO(ValueSequence, IDC_ARCWP_SEQ, 0.3, 0.7)
		NEXT_LINE
*/
		STATIC_TEXT(TextDescription, $STR_DISP_ARCWP_DESC, -1, 0, 0.3)
		EDIT(ValueDescription, IDC_ARCWP_DESC, 0.3, 0.7)
		NEXT_LINE

		STATIC_TEXT(TextCombatMode, $STR_DISP_ARCWP_SEMAPHORE, -1, 0, 0.20)
		COMBO(ValueCombatMode, IDC_ARCWP_SEMAPHORE, 0.20, 0.29)
		STATIC_TEXT(TextFormation, $STR_DISP_ARCWP_FORM, -1, 0.51, 0.20)
		COMBO(ValueFormation, IDC_ARCWP_FORM, 0.71, 0.29)
		NEXT_LINE

/*
		STATIC_TEXT(TextSpeed, $STR_DISP_ARCWP_SPEED, -1, 0, 0.20)
		COMBO(ValueSpeed, IDC_ARCWP_SPEED, 0.20, 0.29)
*/
		STATIC_TEXT(TextCombat, $STR_DISP_ARCWP_COMBAT, -1, 0, 0.20)
		COMBO(ValueCombat, IDC_ARCWP_COMBAT, 0.20, 0.29)
		NEXT_LINE

/*
		STATIC_TEXT(TextPlacement, $STR_DISP_ARCWP_PLACE, -1, 0, 0.25)
		EDIT(ValuePlacement, IDC_ARCWP_PLACE, 0.25, 0.24)
*/
		STATIC_TEXT(TextHousePos, $STR_DISP_ARCWP_HOUSEPOS, IDC_ARCWP_HOUSEPOSTEXT, 0.51, 0.20)
//		COMBO(ValueHousePos, IDC_ARCWP_HOUSEPOS, 0.71, 0.29)
//		NEXT_LINE

/*
		STATIC_TEXT(TextTimeout, $STR_DISP_ARCWP_TIMEOUT, -1, 0, 0.16)
		STATIC_TEXT(TextTimeoutMin, $STR_DISP_ARCWP_TIMEOUT_MIN, -1, 0.16, 0.10)
		EDIT(ValueTimeoutMin, IDC_ARCWP_TIMEOUT_MIN, 0.26, 0.18)
		STATIC_TEXT(TextTimeoutMid, $STR_DISP_ARCWP_TIMEOUT_MID, -1, 0.44, 0.10)
		EDIT(ValueTimeoutMid, IDC_ARCWP_TIMEOUT_MID, 0.54, 0.18)
		STATIC_TEXT(TextTimeoutMax, $STR_DISP_ARCWP_TIMEOUT_MAX, -1, 0.72, 0.10)
		EDIT(ValueTimeoutMax, IDC_ARCWP_TIMEOUT_MAX, 0.82, 0.18)
		NEXT_LINE
	
		class Show : RscToolbox
		{
			idc = IDC_ARCWP_SHOW;
			x = LINE_X(0);
			y = LINE_Y;
			w = LINE_W(1);
			h = 0.038;

			strings[] =
			{
				$STR_DISP_ARCWP_SHOW_NEVER,
				$STR_DISP_ARCWP_SHOW_EASY,
				$STR_DISP_ARCWP_SHOW_ALWAYS
			};
			rows = 1;
			columns = 3;
		};
		NEXT_LINE
*/

	END_BOX(SubBackground)

	LEFT_BUTTON(ButtonEffects,$STR_DISP_ARCWP_EFFECTS,IDC_ARCWP_EFFECTS,"",0.2,0,0)
	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of chat channel
*/
class RscDisplayChannel
{
	idd = IDD_CHANNEL;
	movingEnable = true;
	controls[]=
	{
		Channel
	};
	class Channel : RscText
	{
		idc = IDC_CHANNEL;
		x = 0.06;
		y = 0.81;
		w = 0.12;
		h = 0.04; 
		style = ST_CENTER;
		text = $STR_DISP_ERROR;
		colorBackground[] = {0, 0, 0, 0.75};
	};
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of chat line
*/
class RscDisplayChat
{
	idd = IDD_CHAT;
	movingEnable = true;
	controls[]=
	{
		Background,
		Line
	};
	class Background : RscText
	{
		x = 0.18;
		y = 0.81;
		w = 0.50;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Line : RscEdit
	{
		idc = IDC_CHAT;
		x = 0.18;
		y = 0.81;
		w = 0.50;
		text = "";
		colorBackground[] = {0, 0, 0, 0.5};
		colorText[] = {1, 1, 1, 1};
		autocomplete = "general";
	};
};

/*!
\patch 1.04 Date 07/16/2001 by Jirka
- Improved: design of voice chat
*/
class RscDisplayVoiceChat
{
	idd = IDD_VOICE_CHAT;
	movingEnable = true;
	controls[]=
	{
		Background,
		Picture
	};
	class Background : RscText
	{
		x = 0.03;
		y = 0.81;
		w = 0.03;
		h = 0.04;
		colorBackground[] = {0, 0, 0, 0.75};
		colorText[] = {0, 0, 0, 1};
		text = ;
	};
	class Picture : RscPicture
	{
		idc = IDC_VOICE_CHAT;
		text = "voice3.paa";
		x = 0.03;
		y = 0.81;
		w = 0.03;
		h = 0.04;
		colorText[] = {1, 1, 1, 1};
	};
};

class RscDisplayTemplateSave
{
	idd = IDD_TEMPLATE_SAVE;
	movingEnable = true;
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextName,
		ValueName,
		TextMode,
		ValueMode,
		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.28;
		y = 0.2;
		w = 0.46;
		h = 0.33;
	};
	class SubBackground : RscGroupBox2
	{
		x = 0.3;
		y = 0.3;
		w = 0.42;
		h = 0.13;
	};
	class Title : RscTitle
	{
		x = 0.28;
		y = 0.218;
		w = 0.46;
		h = 0.06;
		text = $STR_DISP_TEMPL_SAVE;
	};
	class TextName : RscText
	{
		x = 0.31;
		y = 0.31;
		w = 0.31;
		text = $STR_DISP_TEMPL_NAME;
	};
	class ValueName : RscEdit
	{
		idc = IDC_TEMPL_NAME;
		x = 0.48;
		y = 0.31;
		w = 0.225;
		text = $STR_DISP_ERROR;
	};
	class TextMode : RscText
	{
		x = 0.31;
		y = 0.36;
		w = 0.31;
		text = $STR_DISP_TEMPL_MODE;
	};
	class ValueMode : RscCombo
	{
		idc = IDC_TEMPL_MODE;
		x = 0.48;
		y = 0.36;
		w = 0.225;
	};
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.445;
		y = 0.45;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButton
	{
		idc = IDC_CANCEL;
		x = 0.591;
		y = 0.45;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayTemplateLoad
{
	DISPLAY(IDD_TEMPLATE_LOAD, 0.28, 0.20, 0.46, 0.31)
	controls[]=
	{
		Background,
		Title,
		SubBackground,
			TextIsland,
			ValueIsland,
			TextName,
			ValueName,
		ButtonOK,
		ButtonCancel
	};

	BACKGROUND(Background)
	TITLE(Title, $STR_DISP_TEMPL_LOAD, IDC_TEMPL_TITLE)

	BEGIN_BOX

		STATIC_TEXT(TextIsland, $STR_DISP_TEMPL_ISLAND, -1, 0, 0.3)
		COMBO(ValueIsland, IDC_TEMPL_ISLAND, 0.3, 0.7)
		NEXT_LINE

		STATIC_TEXT(TextName, $STR_DISP_TEMPL_NAME, -1, 0, 0.3)
		COMBO(ValueName, IDC_TEMPL_NAME, 0.3, 0.7)
		NEXT_LINE

	END_BOX(SubBackground)

	DEFAULT_BUTTON_OK(1)
	BUTTON_CANCEL(0)
};

class RscDisplayIntel
{
	idd = IDD_INTEL;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground,
	  SubtitleVisuals,
		TextBriefingName,
		ValueBriefingName,
		TextBriefingDescription,
		ValueBriefingDescription,
		
    SubBackground1,
    TextDate,
		ValueMonth,
		ValueDay,

		TextTime,
		ValueHour,
		ValueMinute,

		SubtitleVisuals1,
		ValueWeather,
		Bourka,
		Jasno,
		ValueFog,

		SubtitleVisuals2,
		ValueWeatherForecast,
		Bourka2,
		Jasno2,
		ValueFogForecast,

		SubtitleVisuals3,
		ValueResistance,
		East,
		West,

		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.02;
		w = 0.64;
		h = 0.96; 
	};

	class Title : RscTitle
	{
		x = 0.2;
		y = 0.038;
		w = 0.64;
		h = 0.06;
		text = $STR_DISP_INTEL_TITLE;
	};

	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.12;
		w = 0.6;
		h = 0.2; 
	};
  class SubtitleVisuals : RscFrame
	{
		x = 0.235;
		y = 0.125;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_BRIEFING;
	};
	class TextBriefingName : RscText
	{
		x = 0.24;
		y = 0.15;
		w = 0.1;
		h = 0.028; 
		text = $STR_DISP_INTEL_NAME;
	};
	class ValueBriefingName : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_NAME;
		x = 0.35;
		y = 0.15;
		w = 0.445;
		h = 0.028; 
		text = $STR_DISP_ERROR;
	};
	class TextBriefingDescription : RscText
	{
		x = 0.24;
		y = 0.19;
		w = 0.11;
		h = 0.028; 
		text = $STR_DISP_INTEL_DESC;
	};
	class ValueBriefingDescription : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_DESC;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.35;
		y = 0.19;
		w = 0.445;
		h = 0.102; 
		text = $STR_DISP_ERROR;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.345;
		w = 0.6;
		h = 0.5325; 
	};
	class TextDate : RscText
	{
		x = 0.23;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_DATE;
	};
	class ValueMonth : RscCombo
	{
		idc = IDC_INTEL_MONTH;
		x = 0.285;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueDay : RscCombo
	{
		idc = IDC_INTEL_DAY;
		x = 0.375;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class TextTime : RscText
	{
		x = 0.575;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_TIME;
	};
	class ValueHour : RscCombo
	{
		idc = IDC_INTEL_HOUR;
		x = 0.635;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueMinute : RscCombo
	{
		idc = IDC_INTEL_MINUTE;
		x = 0.725;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class SubtitleVisuals1 : RscFrame
	{
		x = 0.235;
		y = 0.385;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_WEATHER;
	};
	class ValueWeather : RscSliderH
	{
		idc = IDC_INTEL_WEATHER;
		x = 0.3025;
		y = 0.43;
		w = 0.44;
	};
  class Bourka : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.41;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.4075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class ValueFog : RscSliderH
	{
		idc = IDC_INTEL_FOG;
		x = 0.3025;
		y = 0.51;
		w = 0.44;
	};
	class SubtitleVisuals2 : RscFrame
	{
		x = 0.235;
		y = 0.565;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_FORECAST;
	};
	class ValueWeatherForecast : RscSliderH
	{
		idc = IDC_INTEL_WEATHER_FORECAST;
		x = 0.3025;
		y = 0.61;
		w = 0.44;
	};
  class Bourka2 : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.59;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno2 : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.5875;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class ValueFogForecast : RscSliderH
	{
		idc = IDC_INTEL_FOG_FORECAST;
		x = 0.3025;
		y = 0.69;
		w = 0.44;
	};

	class SubtitleVisuals3 : RscFrame
	{
		x = 0.235;
		y = 0.745;
		w = 0.57;
		h = 0.1;
		text = $STR_DISP_INTEL_RESISTANCE;
	};
/*
	class ValueResistance : RscSliderH
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.795;
		w = 0.44;
	};
*/
	class ValueResistance : RscToolbox
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.785;
		w = 0.44;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_INTEL_NONE_FRIENDLY,
			$STR_DISP_INTEL_WEST_FRIENDLY,
			$STR_DISP_INTEL_EAST_FRIENDLY,
			$STR_DISP_INTEL_BOTH_FRIENDLY
		};
		rows = 1;
		columns = 4;
	};
	class East : RscPicture
	{
		text = "eastsym.paa";
		x = 0.245;
		y = 0.77;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	class West : RscPicture
	{
		text = "westsym.paa";
		x = 0.7475;
		y = 0.77;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.535;
		y = 0.88;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.69;
		y = 0.88;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayIntelSimple
{
	idd = IDD_INTEL;
	movingEnable = true;
	controls[]=
	{
		Background,
		Title,

		SubBackground,
	  SubtitleVisuals,
		TextBriefingName,
		ValueBriefingName,
		TextBriefingDescription,
		ValueBriefingDescription,
		
    SubBackground1,
    TextDate,
		ValueMonth,
		ValueDay,

		TextTime,
		ValueHour,
		ValueMinute,

		SubtitleVisuals1,
		ValueWeather,
		Bourka,
		Jasno,
		// ValueFog,

		SubtitleVisuals2,
		ValueWeatherForecast,
		Bourka2,
		Jasno2,
		// ValueFogForecast,

		SubtitleVisuals3,
		ValueResistance,
		East,
		West,

		ButtonOK,
		ButtonCancel
	};
	class Background : RscBackground
	{
		x = 0.2;
		y = 0.02;
		w = 0.64;
		h = 0.80; 
	};

	class Title : RscTitle
	{
		x = 0.2;
		y = 0.038;
		w = 0.64;
		h = 0.06;
		text = $STR_DISP_INTEL_TITLE;
	};

	class SubBackground : RscGroupBox2
	{
		x = 0.22;
		y = 0.12;
		w = 0.6;
		h = 0.2; 
	};
  class SubtitleVisuals : RscFrame
	{
		x = 0.235;
		y = 0.125;
		w = 0.57;
		h = 0.18;
		text = $STR_DISP_INTEL_BRIEFING;
	};
	class TextBriefingName : RscText
	{
		x = 0.24;
		y = 0.15;
		w = 0.1;
		h = 0.028; 
		text = $STR_DISP_INTEL_NAME;
	};
	class ValueBriefingName : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_NAME;
		x = 0.35;
		y = 0.15;
		w = 0.445;
		h = 0.028; 
		text = $STR_DISP_ERROR;
	};
	class TextBriefingDescription : RscText
	{
		x = 0.24;
		y = 0.19;
		w = 0.11;
		h = 0.028; 
		text = $STR_DISP_INTEL_DESC;
	};
	class ValueBriefingDescription : RscEdit
	{
		idc = IDC_INTEL_BRIEFING_DESC;
		style = ST_MULTI;
		lineSpacing = 1;
		x = 0.35;
		y = 0.19;
		w = 0.445;
		h = 0.102; 
		text = $STR_DISP_ERROR;
	};

	class SubBackground1 : RscGroupBox2
	{
		x = 0.22;
		y = 0.345;
		w = 0.6;
		h = 0.3725; 
	};
	class TextDate : RscText
	{
		x = 0.23;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_DATE;
	};
	class ValueMonth : RscCombo
	{
		idc = IDC_INTEL_MONTH;
		x = 0.285;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueDay : RscCombo
	{
		idc = IDC_INTEL_DAY;
		x = 0.375;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class TextTime : RscText
	{
		x = 0.575;
		y = 0.355;
		w = 0.05;
		h = 0.028; 
		text = $STR_DISP_INTEL_TIME;
	};
	class ValueHour : RscCombo
	{
		idc = IDC_INTEL_HOUR;
		x = 0.635;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class ValueMinute : RscCombo
	{
		idc = IDC_INTEL_MINUTE;
		x = 0.725;
		y = 0.355;
		w = 0.08;
		h = 0.028; 
	};
	class SubtitleVisuals1 : RscFrame
	{
		x = 0.235;
		y = 0.385;
		w = 0.57;
		h = 0.10;
		text = $STR_DISP_INTEL_WEATHER;
	};
	class ValueWeather : RscSliderH
	{
		idc = IDC_INTEL_WEATHER;
		x = 0.3025;
		y = 0.43;
		w = 0.44;
	};
  class Bourka : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.41;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.4075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
/*
	class ValueFog : RscSliderH
	{
		idc = IDC_INTEL_FOG;
		x = 0.3025;
		y = 0.51;
		w = 0.44;
	};
*/
	class SubtitleVisuals2 : RscFrame
	{
		x = 0.235;
		y = 0.485;
		w = 0.57;
		h = 0.10;
		text = $STR_DISP_INTEL_FORECAST;
	};
	class ValueWeatherForecast : RscSliderH
	{
		idc = IDC_INTEL_WEATHER_FORECAST;
		x = 0.3025;
		y = 0.53;
		w = 0.44;
	};
  class Bourka2 : RscPicture
	{
		text = "bourkasym.paa";
		x = 0.245;
		y = 0.51;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
	class Jasno2 : RscPicture
	{
		text = "jasnosym.paa";
		x = 0.7425;
		y = 0.5075;
		w = 0.060;
		h = 0.080;
		colorText[] = {0.08, 0.08, 0.12, 1};
	};
/*
	class ValueFogForecast : RscSliderH
	{
		idc = IDC_INTEL_FOG_FORECAST;
		x = 0.3025;
		y = 0.69;
		w = 0.44;
	};
*/
	class SubtitleVisuals3 : RscFrame
	{
		x = 0.235;
		y = 0.585;
		w = 0.57;
		h = 0.1;
		text = $STR_DISP_INTEL_RESISTANCE;
	};
/*
	class ValueResistance : RscSliderH
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.795;
		w = 0.44;
	};
*/
	class ValueResistance : RscToolbox
	{
		idc = IDC_INTEL_RESISTANCE;
		x = 0.3025;
		y = 0.625;
		w = 0.44;
		h = 0.038;

		strings[] =
		{
			$STR_DISP_INTEL_NONE_FRIENDLY,
			$STR_DISP_INTEL_WEST_FRIENDLY,
			$STR_DISP_INTEL_EAST_FRIENDLY,
			$STR_DISP_INTEL_BOTH_FRIENDLY
		};
		rows = 1;
		columns = 4;
	};
	class East : RscPicture
	{
		text = "eastsym.paa";
		x = 0.245;
		y = 0.61;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	class West : RscPicture
	{
		text = "westsym.paa";
		x = 0.7475;
		y = 0.61;
		w = 0.05;
		h = 0.068;
		colorText[] = {0.08, 0.08, 0.12, 0.7};
	};
	
	class ButtonOK : RscButtonSmall
	{
		idc = IDC_OK;
		x = 0.535;
		y = 0.74;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_OK;
		default = 1;
		soundClick[] = {"ui\ui_ok", 0.2, 1};
	};
	class ButtonCancel : RscButtonSmall
	{
		idc = IDC_CANCEL;
		x = 0.69;
		y = 0.74;
		w = 0.13;
		h = 0.05;
		text = $STR_DISP_CANCEL;
		soundClick[] = {"ui\ui_cc", 0.2, 1};
	};
};

class RscDisplayDebug
{
	idd = IDD_DEBUG;
	movingEnable = true;
	/*
	controls[]=
	{
		Background,
		SubBackground,
		Title,
		TextExpression,
		ValueExpression,
		HeaderVar,
		HeaderExp,
		HeaderRes,
		TextVar1,ValueExp1,ValueRes1,
		TextVar2,ValueExp2,ValueRes2,
		TextVar3,ValueExp3,ValueRes3,
		TextVar4,ValueExp4,ValueRes4,
		TextLog,ValueLog,
		ButtonA1,ButtonA2,ButtonA3,ButtonA4,ButtonA5,ButtonA6,ButtonA7,
		ButtonB1,ButtonB2,ButtonB3,ButtonB4,
		ButtonApply,
		ButtonOK,
		ButtonCancel
	};
	*/
	class Controls
	{
		class Background : RscBackground
		{
			x=0.2;
			y=0;
			w=0.6;
			h=1.0;
		};
		class SubBackground : RscGroupBox2
		{
			x=0.22;
			y=0.1;
			w=0.56;
			h=0.8;
		};
		class Title : RscTitle
		{
			idc = -1;		
			x = 0.2;
			y = 0.018;
			w = 0.6;
			h = 0.06;
			text = "Debug console";
		};
		class TextExpression : RscText
		{
			x = 0.23;
			y = 0.12;
			w = 0.10;
			text = "Expression:";
		};
		class ValueExpression : RscEdit
		{
			idc = IDC_DEBUG_EXP;
			x = 0.33;
			y = 0.12;
			w = 0.44;
			text = "";
			autocomplete = "scripting";
		};
		class HeaderVar : RscText
		{
			x = 0.23;
			y = 0.20;
			w = 0.09;
			text = "Variable";
		};
		class HeaderExp : RscText
		{
			x = 0.32;
			y = 0.20;
			w = 0.15;
			text = "Expression";
		};
		class HeaderRes : RscText
		{
			x = 0.47;
			y = 0.20;
			w = 0.30;
			text = "Result";
		};
		class TextVar1 : RscText
		{
			x = 0.23;
			y = 0.25;
			w = 0.09;
			text = "debug1";
		};
		class ValueExp1 : RscEdit
		{
			idc = IDC_DEBUG_EXP1;
			x = 0.32;
			y = 0.25;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes1 : RscEdit
		{
			idc = IDC_DEBUG_RES1;
			x = 0.47;
			y = 0.25;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar2 : RscText
		{
			x = 0.23;
			y = 0.30;
			w = 0.09;
			text = "debug2";
		};
		class ValueExp2 : RscEdit
		{
			idc = IDC_DEBUG_EXP2;
			x = 0.32;
			y = 0.30;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes2 : RscEdit
		{
			idc = IDC_DEBUG_RES2;
			x = 0.47;
			y = 0.30;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar3 : RscText
		{
			x = 0.23;
			y = 0.35;
			w = 0.09;
			text = "debug3";
		};
		class ValueExp3 : RscEdit
		{
			idc = IDC_DEBUG_EXP3;
			x = 0.32;
			y = 0.35;
			w = 0.15;
			text = "";
		};
		class ValueRes3 : RscEdit
		{
			idc = IDC_DEBUG_RES3;
			x = 0.47;
			y = 0.35;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};
		class TextVar4 : RscText
		{
			x = 0.23;
			y = 0.40;
			w = 0.09;
			text = "debug4";
		};
		class ValueExp4 : RscEdit
		{
			idc = IDC_DEBUG_EXP4;
			x = 0.32;
			y = 0.40;
			w = 0.15;
			text = "";
			autocomplete = "scripting";
		};
		class ValueRes4 : RscEdit
		{
			idc = IDC_DEBUG_RES4;
			x = 0.47;
			y = 0.40;
			w = 0.30;
			text = "";
			autocomplete = "scripting";
		};

		class TextLog : RscText
		{
			x = 0.23;
			y = 0.72;
			w = 0.10;
			text = "Log:";
		};
		class ValueLog : RscListBox
		{
			idc = IDC_DEBUG_LOG;
			x = 0.33;
			y = 0.72;
			w = 0.44;
			h = 0.15;
		};

		class ButtonA1 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "All";
			action = """all"" diag_enable true";
		};
		class ButtonA2 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "No";
			action = """all"" diag_enable false";
		};
		class ButtonA3 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.39;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Combat";
			action = "diag_toggle ""combat""";
		};
		class ButtonA4 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.46;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Cost";
			action = "diag_toggle ""costmap""";
		};
		class ButtonA5 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.53;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Transp";
			action = "diag_toggle ""transparent""";
		};
		class ButtonA6 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.6;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Collis";
			action = "diag_toggle ""collision""";
		};
		class ButtonA7 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.67;
			y = 0.5;
			w = 0.065;
			h = 0.05;
			text = "Path";
			action = "diag_toggle ""path""";
		};
		class ButtonA8 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.55;
			w = 0.065;
			h = 0.05;
			text = "Force";
			action = "diag_toggle ""force""";
		};
		class ButtonA9 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.55;
			w = 0.065;
			h = 0.05;
			text = "Anim";
			action = "diag_toggle ""animation""";
		};

		class ButtonB1 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.25;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Normal";
			action = "diag_drawmode ""Normal""";
		};
		class ButtonB2 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.32;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Fire";
			action = "diag_drawmode ""FireGeometry""";
		};
		class ButtonB3 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.39;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "View";
			action = "diag_drawmode ""ViewGeometry""";
		};
		class ButtonB4 : RscButtonSmall
		{
			idc = IDC_STATIC;
			x = 0.46;
			y = 0.60;
			w = 0.065;
			h = 0.05;
			text = "Geom.";
			action = "diag_drawmode ""Geometry""";
		};

		class ButtonApply : RscButtonSmall
		{
			idc = IDC_DEBUG_APPLY;
			x = 0.35;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = "Apply";
			soundClick[] = {"ui\ui_ok", 0.2, 1};
		};
		class ButtonOK : RscButtonSmall
		{
			idc = IDC_OK;
			x = 0.50;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = $STR_DISP_OK;
			default = 1;
			soundClick[] = {"ui\ui_ok", 0.2, 1};
		};
		class ButtonCancel : RscButtonSmall
		{
			idc = IDC_CANCEL;
			x = 0.65;
			y = 0.925;
			w = 0.13;
			h = 0.05;
			text = $STR_DISP_CANCEL;
			soundClick[] = {"ui\ui_cc", 0.2, 1};
		};
	};
};
