// Menu definition
class RscMainMenu
{
	title = $STR_COMMAND;
	atomic=false;
	items[] =
	{
		//Join,
		Move, Target, Engage, GetIn, Status, Action,
		CombatMode, Formations, Team, Reply, 
		HideMenu
	};
	class Move
	{
		title = $STR_MOVE;
		key = DIK_1;
		character = 1; 
		command = CMD_NOTHING;
		menu = RscMoveHigh;
	};
	class Target
	{
		title = $STR_WATCH_TARGET;
		key = DIK_2;
		character = 2; 
		command = CMD_WATCH;
	};
	class Engage
	{
		title = $STR_WATCH;
		key = DIK_3;
		character = 3;
		command = CMD_NOTHING;
		menu = RscWatchDir;
	};
	class GetIn
	{
		title = $STR_GETIN;
		key = DIK_4;
		character = 4; 
		command = CMD_GETIN;
	};
	class Status
	{
		title = $STR_STATUS;
		key = DIK_5;
		character = 5; 
		menu = RscStatus;
		Command = CMD_NOTHING;
	};
	class Action
	{
		title = $STR_ACTION;
		key = DIK_6;
		character = 6; 
		command = CMD_ACTION;
	};
	class CombatMode
	{
		title = $STR_COMBAT_MODE;
		key = DIK_7;
		character = 7; 
		command = CMD_NOTHING;
		menu = RscCombatMode;
	};
	class Formations
	{
		title = $STR_FORMATION;
		key = DIK_8;
		character = 8; 
		command = CMD_NOTHING;
		menu = RscFormations;
	};
	class Team
	{
		title = $STR_TEAM;
		key = DIK_9;
		character = 9; 
		command = CMD_NOTHING;
		menu = RscTeam;
	};
	class Reply
	{
		title = $STR_REPLY;
		key = DIK_0;
		character = 0; 
		command = CMD_NOTHING;
		menu = RscReply;
	};
	class HideMenu
	{
		title = "";
		key = DIK_BACK;
		character = Backspace; 
		command = CMD_HIDE_MENU;
	};
};

class RscSubmenu
{
	atomic=false;
	class Back
	{
		title = "";
		key = DIK_BACK;
		character = Backspace; 
		command = CMD_BACK;
	};
	class Separator
	{
		title = "";
		key = 0;
		character = 0; 
		command = CMD_SEPARATOR;
	};
};

class RscMoveHigh: RscSubmenu
{
	title = $STR_MOVE_DIR;
	items[] =
	{
		Join,
		Advance,StayBack,
		FlankLeft,
		FlankRight,
		Separator,Stop,Expect,Hide,Separator,NextWP,Separator,Other,
		Back
	};
	class Join
	{
		title = $STR_FOLLOW_ME;
		key = DIK_1;
		character = 1;
		command = CMD_JOIN;
	};
	class Advance
	{
		title = $STR_ADVANCE;
		key = DIK_2;
		character = 2;
		command = CMD_ADVANCE;
	};
	class StayBack
	{
		title = $STR_STAY_BACK;
		key = DIK_3;
		character = 3;
		command = CMD_STAY_BACK;
	};
	class FlankLeft
	{
		title = $STR_FLANK_LEFT;
		key = DIK_4;
		character = 4;
		command = CMD_FLANK_LEFT;
	};
	class FlankRight
	{
		title = $STR_FLANK_RIGHT;
		key = DIK_5;
		character = 5;
		command = CMD_FLANK_RIGHT;
	};
	class Stop
	{
		title = $STR_STOP;
		key = DIK_6;
		character = 6; 
		command = CMD_STOP;
	};
	class Expect
	{
		title = $STR_EXPECT;
		key = DIK_7;
		character = 7; 
		command = CMD_EXPECT;
	};
	class Hide
	{
		title = $STR_HIDE;
		key = DIK_8;
		character = 8; 
		command = CMD_HIDE;
	};
	class NextWP
	{
		title = $STR_NEXT_WAYPOINT;
		key = DIK_9;
		character = 9; 
		command = CMD_NEXT_WAYPOINT;
	};
	class Other
	{
		title = $STR_MOVE_OTHER;
		key = DIK_0;
		character = 0;
		command = CMD_MOVE_SUBMENU;
		menu = RscMoveDir;
	};
};

class RscMoveDir: RscSubmenu
{
	atomic = true;
	title = $STR_MOVE_DIR;
	items[] = {N,NE,E,SE,S,SW,W,NW,Back};
	class N
	{
		title = $STR_MOVE_N;
		key = DIK_1;
		character = 1; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class NE
	{
		title = $STR_MOVE_NE;
		key = DIK_2;
		character = 2; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class E
	{
		title = $STR_MOVE_E;
		key = DIK_3;
		character = 3; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class SE
	{
		title = $STR_MOVE_SE;
		key = DIK_4;
		character = 4; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class S
	{
		title = $STR_MOVE_S;
		key = DIK_5;
		character = 5; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class SW
	{
		title = $STR_MOVE_SW;
		key = DIK_6;
		character = 6; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class W
	{
		title = $STR_MOVE_W;
		key = DIK_7;
		character = 7; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
	class NW
	{
		title = $STR_MOVE_NW;
		key = DIK_8;
		character = 8; 
		command = CMD_NOTHING;
		menu = RscMoveDist;
	};
};


class RscReply: RscSubmenu
{
	title = $STR_REPLY_MENU;
	items[] =
	{
		Done,Fail,
		FireReady,FireNotReady,
		Repeat,Copy,
		UserRadio,Radio,
		Back
	};
	class Done
	{
		title = $STR_REPLY_DONE;
		key = DIK_1;
		character = 1; 
		command = CMD_REPLY_DONE;
	};
	class Fail
	{
		title = $STR_REPLY_FAIL;
		key = DIK_2;
		character = 2; 
		command = CMD_REPLY_FAIL;
	};

	class FireReady
	{
		title = $STR_REPLY_FIREREADY;
		key = DIK_3;
		character = 3;
		command = CMD_REPLY_FIREREADY;
	};
	class FireNotReady
	{
		title = $STR_REPLY_FIRENOTREADY;
		key = DIK_4;
		character = 4;
		command = CMD_REPLY_FIRENOTREADY;
	};

	class Repeat
	{
		title = $STR_REPLY_REPEAT;
		key = DIK_7;
		character = 7;
		command = CMD_REPLY_REPEAT;
	};
	class Copy
	{
		title = $STR_REPLY_COPY;
		key = DIK_8;
		character = 8; 
		command = CMD_REPLY_COPY;
	};

	class UserRadio
	{
		title = $STR_RADIO_CUSTOM;
		key = DIK_9;
		character = 9; 
		command = CMD_RADIO_CUSTOM;
		menu = RscUserRadio;
	};
	class Radio
	{
		title = $STR_RADIO;
		key = DIK_0;
		character = 0; 
		command = CMD_NOTHING;
		menu = RscRadio;
	};

};

class RscCallSupport: RscSubmenu
{
	title = $STR_SUPPORT_MENU;
	items[] =
	{
		Medic,Repair,Rearm,Refuel,
		Done,
		Back
	};

	class Medic
	{
		title = $STR_SUPPORT_MEDIC;
		key = DIK_1;
		character = 1;
		command = CMD_SUPPORT_MEDIC;
	};
	class Repair
	{
		title = $STR_SUPPORT_REPAIR;
		key = DIK_2;
		character = 2;
		command = CMD_SUPPORT_REPAIR;
	};
	class Rearm
	{
		title = $STR_SUPPORT_REARM;
		key = DIK_3;
		character = 3;
		command = CMD_SUPPORT_REARM;
	};
	class Refuel
	{
		title = $STR_SUPPORT_REFUEL;
		key = DIK_4;
		character = 4;
		command = CMD_SUPPORT_REFUEL;
	};
	class Done
	{
		title = $STR_SUPPORT_DONE;
		key = DIK_5;
		character = 5;
		command = CMD_SUPPORT_DONE;
	};
};

class RscStatus: RscSubmenu
{
	title = $STR_MENU_STATUS;
	items[] =
	{
		Support,
		FuelLow,AmmoLow,
		Injured,
		WhereAreYou, Report,
		UnderFire,OneLess,IsDown,
		Back
	};


	class Support
	{
		title = $STR_CALL_SUPPORT;
		key = DIK_1;
		character = 1;
		command = CMD_NOTHING;
		menu = RscCallSupport;
	};
	class FuelLow
	{
		title = $STR_REPLY_FUEL_LOW;
		key = DIK_2;
		character = 2; 
		command = CMD_REPLY_FUEL_LOW;
	};
	class AmmoLow
	{
		title = $STR_REPLY_AMMO_LOW;
		key = DIK_3;
		character = 3;
		command = CMD_REPLY_AMMO_LOW;
	};
	class Injured
	{
		title = $STR_REPLY_INJURED;
		key = DIK_4;
		character = 4;
		command = CMD_REPLY_INJURED;
	};

	class WhereAreYou
	{
		title = $STR_REPLY_WHERE_ARE_YOU;
		key = DIK_5;
		character = 5; 
		command = CMD_REPLY_WHERE_ARE_YOU;
	};
	class Report
	{
		title = $STR_REPORT;
		key = DIK_5;
		character = 5; 
		command = CMD_REPORT;
	};

	class UnderFire
	{
		title = $STR_REPLY_UNDER_FIRE;
		key = DIK_6;
		character = 6;
		command = CMD_REPLY_UNDER_FIRE;
	};

	class OneLess
	{
		title = $STR_REPLY_ONE_LESS;
		key = DIK_7;
		character = 7;
		command = CMD_REPLY_ONE_LESS;
	};
	class IsDown
	{
		title = $STR_REPLY_KILLED;
		key = DIK_8;
		character = 8;
		command = CMD_REPLY_KILLED;
	};
};

class RscWatchDir: RscSubmenu
{
	title = $STR_WATCH_DIR;
	items[] =
	{
		OpenFire,HoldFire,Fire,Separator,
		Engage,EngageAtWill,Disengage,
		Separator,
		//Auto,
		LookAround,WatchDir,
		//Separator,Report,
		Back
	};

	class OpenFire
	{
		title = $STR_OPEN_FIRE;
		key = DIK_1;
		character = 1; 
		command = CMD_OPEN_FIRE;
	};
	class HoldFire
	{
		title = $STR_HOLD_FIRE;
		key = DIK_2;
		character = 2; 
		command = CMD_HOLD_FIRE;
	};
	class Fire
	{
		title = $STR_FIRE;
		key = DIK_3;
		character = 3; 
		command = CMD_FIRE;
	};

	class Engage
	{
		title = $STR_ENGAGE_NOW;
		key = DIK_4;
		character = 4; 
		command = CMD_ENGAGE;
	};
	class EngageAtWill
	{
		title = $STR_ENGAGE_AT_WILL;
		key = DIK_5;
		character = 5; 
		command = CMD_LOOSE_FORM;
	};
	class Disengage
	{
		title = $STR_DISENGAGE;
		key = DIK_6;
		character = 6; 
		command = CMD_KEEP_FORM;
	};

	/*
	class Auto
	{
		title = $STR_WATCH_AUTO;
		key = DIK_7;
		character = 7;
		command = CMD_WATCH_AUTO;
	};
	*/
	class LookAround
	{
		title = $STR_LOOK_AROUND;
		key = DIK_7;
		character = 7;
		command = CMD_WATCH_AROUND;
	};
	class WatchDir
	{
		title = $STR_WATCH_DIR;
		key = DIK_8;
		character = 8;
		command = CMD_WATCH_SUBMENU;
		menu = RscWatchMoreDir;
	};
};

class RscWatchMoreDir: RscSubmenu
{
	title = $STR_WATCH_DIR;
	atomic=true;
	items[] = {N,NE,E,SE,S,SW,W,NW,Back};
	class N
	{
		title = $STR_MOVE_N;
		key = DIK_1;
		character = 1; 
		command = CMD_WATCH_N;
	};
	class NE
	{
		title = $STR_MOVE_NE;
		key = DIK_2;
		character = 2; 
		command = CMD_WATCH_NE;
	};
	class E
	{
		title = $STR_MOVE_E;
		key = DIK_3;
		character = 3; 
		command = CMD_WATCH_E;
	};
	class SE
	{
		title = $STR_MOVE_SE;
		key = DIK_4;
		character = 4; 
		command = CMD_WATCH_SE;
	};
	class S
	{
		title = $STR_MOVE_S;
		key = DIK_5;
		character = 5; 
		command = CMD_WATCH_S;
	};
	class SW
	{
		title = $STR_MOVE_SW;
		key = DIK_6;
		character = 6; 
		command = CMD_WATCH_SW;
	};
	class W
	{
		title = $STR_MOVE_W;
		key = DIK_7;
		character = 7; 
		command = CMD_WATCH_W;
	};
	class NW
	{
		title = $STR_MOVE_NW;
		key = DIK_8;
		character = 8; 
		command = CMD_WATCH_NW;
	};
}

class RscMoveDist: RscSubmenu
{
	title = $STR_MOVE_DIST;
	items[] = {D50,D100,D200,D500,D1000,D2000,Back};
	class D50
	{
		title = $STR_MOVE_50;
		key = DIK_1;
		character = 1; 
		command = CMD_MOVE_FIRST;
	};
	class D100
	{
		title = $STR_MOVE_100;
		key = DIK_2;
		character = 2; 
		command = CMD_MOVE_FIRST;
	};
	class D200
	{
		title = $STR_MOVE_200;
		key = DIK_3;
		character = 3; 
		command = CMD_MOVE_FIRST;
	};
	class D500
	{
		title = $STR_MOVE_500;
		key = DIK_4;
		character = 4; 
		command = CMD_MOVE_FIRST;
	};
	class D1000
	{
		title = $STR_MOVE_1000;
		key = DIK_5;
		character = 5; 
		command = CMD_MOVE_FIRST;
	};
	class D2000
	{
		title = $STR_MOVE_2000;
		key = DIK_6;
		character = 6; 
		command = CMD_MOVE_FIRST;
	};
};

class RscFormations: RscSubmenu
{
	title = $STR_FORMATION;
	items[] = {Column,Staggered,Wedge,EchL,EchR,Vee,Line,Back};
	class Column
	{
		title = $STR_COLUMN;
		key = DIK_1;
		character = 1; 
		command = CMD_FORM_COLUMN;
	};
	class Staggered
	{
		title = $STR_STAGGERED;
		key = DIK_2;
		character = 2; 
		command = CMD_FORM_STAGCOL;
	};
	class Wedge
	{
		title = $STR_WEDGE;
		key = DIK_3;
		character = 3; 
		command = CMD_FORM_WEDGE;
	};
	class EchL
	{
		title = $STR_ECHL;
		key = DIK_4;
		character = 4; 
		command = CMD_FORM_ECHLEFT;
	};
	class EchR
	{
		title = $STR_ECHR;
		key = DIK_5;
		character = 5; 
		command = CMD_FORM_ECHRIGHT;
	};
	class Vee
	{
		title = $STR_VEE;
		key = DIK_6;
		character = 6; 
		command = CMD_FORM_VEE;
	};
	class Line
	{
		title = $STR_LINE;
		key = DIK_7;
		character = 7; 
		command = CMD_FORM_LINE;
	};
};

class RscCombatMode: RscSubmenu
{
	title = $STR_COMBAT_MODE;
	items[] ={Stealth,Combat,Aware,Safe,Separator,PosUp,PosDown,PosAuto,Separator,Back};
	class Stealth
	{
		title = $STR_STEALTH;
		key = DIK_1;
		character = 1; 
		command = CMD_STEALTH;
	};
	class Combat
	{
		title = $STR_COMBAT;
		key = DIK_2;
		character = 2; 
		command = CMD_COMBAT;
	};
	class Aware
	{
		title = $STR_AWARE;
		key = DIK_3;
		character = 3; 
		command = CMD_AWARE;
	};
	class Safe
	{
		title = $STR_SAFE;
		key = DIK_4;
		character = 4; 
		command = CMD_SAFE;
	};
	class PosUp
	{
		title = $STR_POS_UP;
		key = DIK_5;
		character = 5; 
		command = CMD_POS_UP;
	};
	class PosDown
	{
		title = $STR_POS_DOWN;
		key = DIK_6;
		character = 6; 
		command = CMD_POS_DOWN;
	};
	class PosAuto
	{
		title = $STR_POS_AUTO;
		key = DIK_7;
		character = 7; 
		command = CMD_POS_AUTO;
	};
};

class RscTeam: RscSubmenu
{
	title = $STR_TEAM;
	items[] =
	{
		Red,Green,Blue,Yellow,Main,
		Separator,Assign,
		Back
	};
	class Red
	{
		title = $STR_TEAM_RED;
		key = DIK_1;
		character = 1; 
		command = CMD_TEAM_RED;
	};
	class Green
	{
		title = $STR_TEAM_GREEN;
		key = DIK_2;
		character = 2; 
		command = CMD_TEAM_GREEN;
	};
	class Blue
	{
		title = $STR_TEAM_BLUE;
		key = DIK_3;
		character = 3; 
		command = CMD_TEAM_BLUE;
	};
	class Yellow
	{
		title = $STR_TEAM_YELLOW;
		key = DIK_4;
		character = 4; 
		command = CMD_TEAM_YELLOW;
	};
	class Main
	{
		title = $STR_TEAM_MAIN;
		key = DIK_5;
		character = 5; 
		command = CMD_TEAM_MAIN;
	};
	class Assign
	{
		title = $STR_ASSIGN;
		key = DIK_9;
		character = 9; 
		command = CMD_NOTHING;
		menu = RscAssign;
	};
};

class RscAssign: RscSubmenu
{
	title = $STR_ASSIGN;
	items[] = {AssignRed,AssignGreen,AssignBlue,AssignYellow,AssignMain,Back};
	class AssignRed
	{
		title = $STR_ASSIGN_RED;
		key = DIK_1;
		character = 1; 
		command = CMD_ASSIGN_RED;
	};
	class AssignGreen
	{
		title = $STR_ASSIGN_GREEN;
		key = DIK_2;
		character = 2; 
		command = CMD_ASSIGN_GREEN;
	};
	class AssignBlue
	{
		title = $STR_ASSIGN_BLUE;
		key = DIK_3;
		character = 3; 
		command = CMD_ASSIGN_BLUE;
	};
	class AssignYellow
	{
		title = $STR_ASSIGN_YELLOW;
		key = DIK_4;
		character = 4; 
		command = CMD_ASSIGN_YELLOW;
	};
	class AssignMain
	{
		title = $STR_ASSIGN_MAIN;
		key = DIK_5;
		character = 5; 
		command = CMD_ASSIGN_MAIN;
	};
};

class RscRadio: RscSubmenu
{
	title = $STR_RADIO;
	items[] ={Alpha, Bravo, Charlie, Delta, Echo, Foxtrot, Golf, Hotel, India, Juliet, Back};
	class Alpha
	{
		title = $STR_RADIO_ALPHA;
		key = DIK_1;
		character =1; 
		command = CMD_RADIO_ALPHA;
	};
	class Bravo
	{
		title = $STR_RADIO_BRAVO;
		key = DIK_2;
		character =2; 
		command = CMD_RADIO_BRAVO;
	};
	class Charlie
	{
		title = $STR_RADIO_CHARLIE;
		key = DIK_3;
		character =3; 
		command = CMD_RADIO_CHARLIE;
	};
	class Delta
	{
		title = $STR_RADIO_DELTA;
		key = DIK_4;
		character =4; 
		command = CMD_RADIO_DELTA;
	};
	class Echo
	{
		title = $STR_RADIO_ECHO;
		key = DIK_5;
		character = 5; 
		command = CMD_RADIO_ECHO;
	};
	class Foxtrot
	{
		title = $STR_RADIO_FOXTROT;
		key = DIK_6;
		character = 6; 
		command = CMD_RADIO_FOXTROT;
	};
	class Golf
	{
		title = $STR_RADIO_GOLF;
		key = DIK_7;
		character = 7; 
		command = CMD_RADIO_GOLF;
	};
	class Hotel
	{
		title = $STR_RADIO_HOTEL;
		key = DIK_8;
		character = 8; 
		command = CMD_RADIO_HOTEL;
	};
	class India
	{
		title = $STR_RADIO_INDIA;
		key = DIK_9;
		character = 9; 
		command = CMD_RADIO_INDIA;
	};
	class Juliet
	{
		title = $STR_RADIO_JULIET;
		key = DIK_0;
		character = 0; 
		command = CMD_RADIO_JULIET;
	};
};

class RscUserRadio: RscSubmenu
{
	title = $STR_RADIO_CUSTOM;
	atomic=true;
	items[] ={Back};
};
